import java.awt.*;
import java.awt.event.*;
import java.io.*;
import java.util.*;
import javax.swing.*;
import java.net.*;
import java.text.*;


/*<applet code="FileReadApplet.class" archive="SSignedApplet.jar" height=260 width=520>
</applet>
 */
/*
public class FileReadApplet extends JApplet
{
	
	private JTextField fileNameField;
	private JTextArea fileText;
	public FileReadApplet()
	{
		fileNameField = new JTextField(20);
		JPanel panel = new JPanel();
		
		panel.add( new JLabel("File name :" ) );
		panel.add( fileNameField );
		JButton openButton  = new JButton("Open" );
		panel.add(openButton);
		openButton.addActionListener( new ActionListener ()
		{
			public void actionPerformed( ActionEvent ae )
			{
				loadFile( fileNameField.getText() );
			}
			
		}	 );
	
		add(panel,"North");
		fileText = new JTextArea();
		add( new JScrollPane(fileText ),"Center" );
	}
	
	public void init()
	{	
	}
	public void destroy()
	{
	}
	
	
	public void loadFile( String fileName )	
	{
		try{
			
		fileText.setText("");
		BufferedReader br = new BufferedReader( new FileReader( fileName )  );
		fileText.append( br.readLine() );
		fileText.append( br.readLine() );
			
		}catch(Exception e)
		{
			fileText.append(" I am sorry , action could not be performed " + e );
		}
		
	}
}

*/
import java.awt.event.*;
import javax.swing.*;
import java.awt.*;
import java.io.*;
import java.net.*;

public class FileReadApplet extends JApplet {
  	static JTextArea ta = null;
  	static JTextField txtFrom = null;
	static JTextField txt_ip = null;
	static JTextField txt_port = null;
	static JPasswordField txt_Password = null;
	static JTextField txt_To = null;
	SimpleDateFormat sd = new SimpleDateFormat("HH:MM:ss:SSS");

	//JButton jb_disconnect = null;
	JButton jb_connect = null;
	
	JButton send = null;
	
	boolean isConnectionEstablished = false;
	static int data = 0;			
	static int sub = 1;
	JLabel isConnected = new JLabel("Not Connected");
	
		Socket echoSocket = null;
        PrintWriter out = null;
        BufferedReader in = null;
		
	

  public void init() {
  	
  	//System.out.println("------------------------------");
    
    Container content = getContentPane();
    content.setBackground(Color.white);
    content.setLayout(new FlowLayout(0)); 
	
	
	//content.add( new JLabel("                                                     ") ); // just to adjust the spave
	
	content.add(new JLabel("From     :  ") ) ;
	
	txtFrom=new JTextField(10);
	
	content.add(txtFrom);
//	System.out.println("======================");
	
	
	content.add(new JLabel("Password :"));
	txt_Password = new JPasswordField(8);
	content.add(txt_Password);
	
	
	content.add(new JLabel("To  : "));
	txt_To = new JTextField(10);
	content.add(txt_To);
	
	
	content.add(new JLabel("Host IP :  ") ) ;
	
	txt_ip = new JTextField(10);
	content.add(txt_ip);
	
	content.add(new JLabel("Host Port   :") ) ;
	txt_port = new JTextField(8);
	content.add(txt_port);


		content.add(new JLabel("        ") );
	
	
	jb_connect = new JButton("<html><font color = red>   <u>Connect</u>   </font></html>");
	jb_connect.addActionListener(new ActionListener()
	{
			public void actionPerformed(ActionEvent ae )
			{
				isConnectionEstablished = setConnection();
				jb_connect.setEnabled(true);		
					
				
			}
	}	);
	
	content.add( jb_connect );
	
	/*
	jb_disconnect = new JButton("Disconnect");
	jb_disconnect.addActionListener(new ActionListener()
	{
			public void actionPerformed(ActionEvent ae )
			{
				//boolean isConnectionEstablished = setConnection();
				if (isConnectionEstablished ) /// since the connection is established...create a thread which consatntly listens 
				{
					
					try{
							out.println("quit");
							ta.append(in.readLine()+"\n");
					 			
							 if ( echoSocket != null )
							 echoSocket.close();
					 
							 echoSocket=null;
					 		//ta.setText("");
					 
							jb_connect.setEnabled(true);		
							jb_disconnect.setEnabled(false);
					
							send.setEnabled(false);
					}catch(Exception e)
					{
						ta.setText("Error--in Disconnecting");
					}
					
				}///and disable the button
			}
	}	);
	 
	content.add( jb_disconnect );
	 */
	 
	 
	
	//String str2 = "testing text area with scrollers";
	  //content.add(isConnected) ;
	
	  ta = new JTextArea (11,45);
	  content.add(new JScrollPane(ta));
	
//	jb_disconnect.setEnabled(false);
	
	}/// init ends.......
	
	private boolean setConnection()
	{
		String input = "";
        try {
        	System.out.println("test" );
			ta.setText("");
        	jb_connect.setEnabled(false);
        	int port = 0;
			port =  Integer.parseInt(txt_port.getText().trim());
			//String lstr_ip = txt_ip.getText().trim() ;
            echoSocket = new Socket( txt_ip.getText().trim(), port );
            //JOptionPane.showMessageDialog(null,"Socket created: " + echoSocket);
            out = new PrintWriter(echoSocket.getOutputStream(), true);
            in = new BufferedReader(new InputStreamReader(echoSocket.getInputStream()));
       
			input = PrepareForHello(in,out);
			ta.append(input+"\r\n");
			if(!input.startsWith("220") && !input.startsWith("250"))
			{
				
				try
				{
					out.print("QUIT \r\n");
						out.flush();
					ta.append("QUIT \r\n");
					ta.append(in.readLine()+"\r\n");
					return false;
				}
				catch (Exception exp)
				{
					return false;
				}
			}
			
			
			out.print("HELO "+echoSocket.getLocalAddress().getHostName()+"\r\n");
			out.flush();			
			ta.append("HELO "+echoSocket.getLocalAddress().getHostName()+"\r\n");
			input = PrepareForHello(in,out);
			ta.append(input+"\r\n");
			
			if(!input.startsWith("220") && !input.startsWith("250"))
			{
				out.print("QUIT"+"\r\n");
					out.flush();
				ta.append("QUIT"+"\r\n");
				input = in.readLine();
				ta.append(input+"\r\n");
				return false;
			}
			if(input.indexOf("AUTH") != -1)
			{
					
				out.print("AUTH LOGIN \r\n");
					out.flush();
				ta.append("AUTH LOGIN \r\n");
				input = in.readLine();
				ta.append(input+"\r\n");
				if(input.startsWith("334"))
				{
					out.print(base64.encode(txtFrom.getText() )+"\r\n");
						out.flush();
					ta.append(base64.encode(txtFrom.getText())+"\r\n");
				}
				else
				{
					out.print("QUIT"+"\r\n");
						out.flush();
					ta.append("QUIT"+"\r\n");
					input = in.readLine();
					ta.append(input+"\r\n");
					return false;
				}
				input = in.readLine();
				ta.append(input);
				if(input.startsWith("334"))
				{
					out.print(base64.encode(txt_Password.getText() )+"\r\n");
						out.flush();
					ta.append(base64.encode(txt_Password.getText())+"\r\n");
				}
				else
				{
					out.print("QUIT"+"\r\n");
						out.flush();
					ta.append("QUIT"+"\r\n");
					input = in.readLine();
					ta.append(input+"\r\n");
					return false;
				}
				input = in.readLine();
				ta.append(input+"\r\n");
				if(input.startsWith("535"))
				{
					out.print("QUIT"+"\r\n");
						out.flush();
					ta.append("QUIT"+"\r\n");
					input = in.readLine();
					ta.append(input);
					return false;
				}

			}
		
			out.print("MAIL FROM: <"+txtFrom.getText() +">\r\n");
			out.flush();
			ta.append("MAIL FROM: <"+txtFrom.getText() +">\r\n");
			input = PrepareForHello(in,out);
			ta.append(input+"\r\n");
			if(!input.startsWith("250"))
			{
				out.print("QUIT"+"\r\n");
					out.flush();
				ta.append("QUIT"+"\r\n");
				input = in.readLine();
				ta.append(input+"\r\n");
				return false;
			}

			out.print("RCPT TO: <"+txt_To.getText() +">\r\n");
			out.flush();
			ta.append("RCPT TO: <"+txt_To.getText()+">\r\n");
			input = PrepareForHello(in,out);
			ta.append(input+"\r\n");
			if(!input.startsWith("250"))
			{
				out.print("QUIT"+"\r\n");
					out.flush();
				ta.append("QUIT"+"\r\n");
				input = in.readLine();
				ta.append(input+"\r\n");
				return false;
			}

			out.print("DATA \r\n");
			out.flush();
			ta.append("DATA \r\n");
			input = PrepareForHello(in,out);
			ta.append(input+"\r\n");
			if(!input.startsWith("354"))
			{
				out.print("QUIT"+"\r\n");
					out.flush();
				ta.append("QUIT"+"\r\n");
				input = in.readLine();
				ta.append(input+"\r\n");
				return false;
			}

			out.print("From:"+txtFrom.getText() +" \r\n");
			out.flush();
			ta.append("From:"+txtFrom.getText() +" \r\n");
			out.print("To:"+txt_To.getText() +" \r\n");
				out.flush();
			ta.append("To:"+txt_To.getText() +" \r\n");
			out.print("Subject: test"+ (sub) +" \r\n");
				out.flush();
			ta.append("Subject: test"+ (sub++) +" \r\n");
			out.print("\r\n");
				out.flush();
			ta.append("\r\n");
			out.print("test\r\n");
				out.flush();
			ta.append("test\r\n");
			out.print(".\r\n");
				out.flush();
			ta.append(".\r\n");
			input = PrepareForHello(in,out);
				ta.append(input);
			if(!input.startsWith("250"))
			{
				out.print("QUIT"+"\r\n");
					out.flush();
				ta.append("QUIT"+"\r\n");
				input = in.readLine();
				ta.append(input+"\r\n");
				return false;
			}

			out.print("QUIT\r\n");
				out.flush();
			ta.append("QUIT\r\n");
			input = PrepareForHello(in,out);
			ta.append(input+"\r\n");
	 
	 
	
        		//ta.setText("");
        			//JOptionPane.showMessageDialog(null,in.readLine());
        		//ta.append(in.readLine()+"\n");
			
        	jb_connect.setEnabled(true);
        	} 
        catch(NumberFormatException nfe)
        {
			JOptionPane.showMessageDialog(null,"Port Number not correct Echo Socket :" + echoSocket+":"+ nfe );
       		return false;
        }
        catch(Exception e)
        {
        	//txtFrom.setText( "Error : "  + e );
        	e.printStackTrace();
        	JOptionPane.showMessageDialog(null,"Could not connect on given IP & port " + e);
        	return false;
        }
		return true;
	}

		private class SendListener implements ActionListener
		{
			public void actionPerformed(ActionEvent ae)
			{
				try{
						String lstr_text=txtFrom.getText();
						if (lstr_text.equalsIgnoreCase("quit"))
						{
						
							try{
									out.println("quit");
					 			ta.append(in.readLine()+"\n");
					 			if ( echoSocket != null )
					 			echoSocket.close();
					 			echoSocket=null;
					 			//ta.setText("");
					 			jb_connect.setEnabled(true);		
							//	jb_disconnect.setEnabled(false);
								send.setEnabled(false);
								
							return;
							}catch(Exception e)
							{
								ta.setText("Error--in Disconnecting" + e);
							}
						
						}
							out.println(lstr_text);
							ta.append(txtFrom.getText()+"\n");
							
							
							if(lstr_text.trim().equals(".") && data == 1)
								data = 0;
							if(data == 0)
								ta.append(in.readLine()+"\n");
							if(lstr_text.toUpperCase().equals("DATA"))
								data = 1;
							txtFrom.setText("");
							
					}catch(Exception e) {
					ta.append("Exception in command : " + e );
				}
		}
	}
	/**
	prepare for sending Helo command
	**/
	static String PrepareForHello(BufferedReader SocketInput, PrintWriter SocketOutput)
	{
		String input = null;
		int replyCode;
		
		try
		{
		
			input = SocketInput.readLine();
		
			replyCode = ConvertToCode(input);
		
			if (input.length() > 3)
			{
				
				while (input.substring(0, 4).equals("220-") || input.substring(0, 4).equals("250-"))
				{
				
					ta.append(input+"\r\n");
					input = SocketInput.readLine();						
					replyCode = ConvertToCode(input);
								
				}
			
			}
			return input;
		}
		catch (Exception e)
		{
			ta.append(e+"\r\n");
			input = null;	
		}
		finally
		{

		}
		return input;
	}
	/**
	convert input code into integer code
	**/
	static int ConvertToCode(String input)
	{
		try
		{
			int replyCode = Integer.parseInt(input.substring(0, 3));
			return replyCode;
		}
		catch (Exception e)
		{
			return 0;
		}
	}
}