/********************************************************************************/
/* Name			:User.java														*/
/* Copyright	:2003 SATCOMLABS LTD.											*/
/* Team			:Spam Control Team												*/
/* Developer	:Pavan Gupta / Manzar Imam										*/
/* Last Updated	:1.05 PM 10/01/2004												*/
/* Abstract		:Bean for Update and Insert user Settings						*/
/* Called from	:usersettings.jsp, usersettingstemp.jsp							*/
/* Calls		:																*/
/********************************************************************************/
package com.antispam;

import com.DBConnection;
import com.replace.Replace;
import com.antispam.TimeTools;

public class User
{
      DBConnection dbconn = new DBConnection ();
      Replace rep = new Replace ();
      Email email = new Email ();
	  TimeTools timetool = new TimeTools();

      private boolean registered;

      public String domain = "";
	  public String user_reg = "";
      private String pop3_ip = "";
	  private String full_addr = "";

      public String txtfname = "";		// FIRST NAME
      public String txtlname = "";		// LAST NAME
      public String txtemail = "";
      public String txtpwd = "";
      public int domainid = 0;
      public int status = 0;
      public int adminid = 0;
      public int approve = 0;
      public int allwd_exp_keymails = 0;
      public int allwd_lmt_keymails = 0;
      public int allwd_dsb_keymails = 0;
      public String txtsubject = "";
      public String txtbody = "";
      public String txtchallenge = "";
      public String txtapproval = "";
      public String txtalready = "";
      public String txtfailed = "";
      public String txtcomments = "";
	  public String txtCarbonCopy = "";
	  public String tempid = "";
	  public String temppassword = "";
	  public String tempflag = "";

      
      //private String fullmailid;		// Like shivraj@antispam.dil.in
      public String flag = "";
	/* SET-GET THE FIRST NAME */
      public void setTxtfname ( String s )
      {	  txtfname = s;      }
      public String getTxtfname ( )
      {	  return txtfname;      }

	/* SET-GET THE LAST NAME */
      public void setTxtlname ( String s )
      {	  txtlname = s;      }
      public String getTxtlname ( )
      {	  return txtlname;      }

	/* SET-GET THE EMAIL */
      public void setTxtemail ( String s )
      {
	      txtemail = s;
	      try
	      {
		      //txtemail = s.substring( 0, s.indexOf('@') );
		      domain = s.substring( s.indexOf('@') + 1 );
	      }
	      catch ( Exception e )
	      { }
      }
      public String getTxtemail ( )
      {	  return txtemail;      }
      
       /* SET-GET THE PASSWORD */
      public void setTxtpwd ( String s )
      {	txtpwd = s;	}
      public String getTxtpwd ( )
      {	return txtpwd;	}
      
	/* SET-GET THE DOMAIN ID */
      public void setDomainid ( int s )
      {	  domainid = s;      }
      public int getDomainid ( )
      {	  return domainid;      }

	 /* SET-GET THE STATUS */
      public void setStatus ( int s )
      {	  status = s;      }
      public int getStatus ( )
      {	  return status;      }

	/* SET-GET THE ADMIN ID */
      public void setAdminid ( int s )
      {	  adminid = s;      }
      public int getAdminid ( )
      {	  return adminid;      }

	/* SET-GET THE AUTO ADD */
      public void setApprove ( int s )
      {	  approve = s;      }
      public int getApprove ( )
      {	  return approve;      }

	/* SET-GET THE ALLOWEDEXPIREDKEYMAILS */
      public void setAllwd_exp_keymails ( int s )
      {	  allwd_exp_keymails = s;      }
      public int getAllwd_exp_keymails ( )
      {	  return allwd_exp_keymails;      }

	/* SET-GET THE ALLOWEDLIMITEDKEYMAILS */
      public void setAllwd_lmt_keymails ( int s )
      {	  allwd_lmt_keymails = s;      }
      public int getAllwd_lmt_keymails ( )
      {	  return allwd_lmt_keymails;      }

	/* SET-GET THE ALLOWEDDISABLEDKEYMAILS */
      public void setAllwd_dsb_keymails ( int s )
      {	  allwd_dsb_keymails = s;      }
      public int getAllwd_dsb_keymails ( )
      {	  return allwd_dsb_keymails;      }

	/* SET-GET THE EMAIL SUBJECT */
      public void setTxtsubject ( String s )
      {      txtsubject = s;      }
      public String getTxtsubject ( )
      {	  return txtsubject;      }

	/* SET-GET THE EMAIL BODY */
      public void setTxtbody ( String s )
      {	  txtbody = s;      }
      public String getTxtbody ( )
      {	  return txtbody;      }


	/* SET-GET THE CHALLENGE WEBPAGE */
      public void setTxtchallenge ( String s )
      {	  txtchallenge = s;      }
      public String getTxtchallenge ( )
      {	  return txtchallenge;      }

	/* SET-GET THE APPROVAL WEBPAGE */
      public void setTxtapproval ( String s )
      {	  txtapproval = s;      }
      public String getTxtapproval ( )
      {	  return txtapproval;      }

	/* SET-GET THE ALREADY IN WEBPAGE */
      public void setTxtalready ( String s )
      {	  txtalready = s;      }
      public String getTxtalready ( )
      {	  return txtalready;      }

	/* SET-GET THE FAILED WEBPAGE */
      public void setTxtfailed ( String s )
      {	  txtfailed = s;      }
      public String getTxtfailed ( )
      {	  return txtfailed;      }

	/* SET-GET THE COMMENTS */
      public void setTxtcomments ( String s )
      {	  txtcomments = s;      }
      public String getTxtcomments ( )
      {	  return txtcomments;      }

	  /* SET-GET THE ALTERNATE EMAIL ADDRESS */
      public void setTxtCarbonCopy ( String s )
      {	  txtCarbonCopy = s;      }
      public String getTxtCarbonCopy ( )
      {	  return txtCarbonCopy;      }


      public void setFlag( String s )
      {	flag = s;      }
      public String getFlag()
      {	  return flag;      }


	  /* SET-GET THE TEMPORARY ID */
    public void setTempid ( String s )
    {	  tempid = s;      }
    public String getTempid ( )
    {	  return tempid;      }

	/* SET-GET THE TEMPORARY PASSWORD */
    public void setTemppassword( String s )
    {	temppassword = s;   }
    public String getTemppassword ( )
    {	  return temppassword;      }

	/* SET-GET THE TEMPORARY FlAG */
    public void setTempflag( String s )
    {	  tempflag = s;      }
    public String getTempflag ( )
    {	  return tempflag;      }

	public String registered ( ) 
	{
		registered = false;
		String retVal = "0";
	      
		java.sql.Connection conn = null;
		java.sql.Statement smt = null;
	        java.sql.ResultSet rs = null;
		String qry = null;

		txtsubject = rep.replaceBy ( txtsubject, "'", "''" );
		txtbody = rep.replaceBy ( txtbody, "'", "''" );
		txtchallenge = rep.replaceBy ( txtchallenge, "'", "''" );
		txtapproval = rep.replaceBy ( txtapproval, "'", "''" );
		txtalready = rep.replaceBy ( txtalready, "'", "''" );
		txtfailed = rep.replaceBy ( txtfailed, "'", "''" );
		txtcomments = rep.replaceBy ( txtcomments, "'", "''" );

		try
		{
			conn = dbconn.getConnection();
			smt = conn.createStatement();
			if ( flag.equals("UPDATE") )
			{
				qry = "UPDATE USERS SET "+
				"FirstName = '"+txtfname+"', "+
				"LastName = '"+txtlname+"', "+
				"Status = "+status+", "+
				"AdminID = "+adminid+", "+
				"AutoAdd = '"+approve+"', "+
				"EmailSubject = '"+txtsubject+"', "+
				"EmailBody = '"+txtbody+"', "+
				"challengeWebPage = '"+txtchallenge+"', "+
				"approvalWebPage = '"+txtapproval+"', "+
				"alreadyInWebPage = '"+txtalready+"', "+
				"FailedWebPage = '"+txtfailed+"', "+
				"Comments = '"+txtcomments+"', "+
				"Alternate_email = '"+txtCarbonCopy+"' "+
				"WHERE EMAIL_USERNAME = '"+ txtemail.substring(0, txtemail.indexOf('@')) +"' AND DOMAINID="+domainid;
			
				smt.executeUpdate ( qry );
				retVal = "Updated";		// 	Means the entry is updated sucessfully....
			}
			else
			{
				boolean domainExists = false;
				
				// check whether the domain exists in the table DOMAINS
				// if exists then get the domain id and the ANTIVIRUS_IP for that domain...
				qry = "SELECT DOMAINID, ANTIVIRUS_IP,FULL_ADDR,USER_REG FROM DOMAINS WHERE DOMAINNAME='"+domain+"' ";
				rs = smt.executeQuery( qry );
				if ( rs.next() )
				{
					domainExists = true;
					domainid = rs.getInt( 1 );
					pop3_ip = rs.getString( 2 );
					full_addr = rs.getString( 3 );
					user_reg= rs.getString( 4 );
				}
				else
				{
					domainExists = false;
					retVal = "Domain " + domain +" not exist";		//DOMAIN NOT EXIST
				}
				
				if ( rs != null )
					rs = null;
				
				// check whether the user with the specified domain and the username exists..
				boolean emailExists = false;
				if ( domainExists )
				{
					// check whether the mailid and the password given are correct or not ......
					String emailaddress = "";
					if(full_addr.equals("1"))
						emailaddress = txtemail.substring(0,txtemail.indexOf('@'));
					else if(full_addr.equals("0"))
						emailaddress = txtemail;

					if ( email.isEmailExists( emailaddress, txtpwd, pop3_ip) )
						emailExists = true;
					else
					{
						emailExists = false;
						retVal = txtemail + " mailid or password incorrect";		//EMAIL NOT EXIST
					}
				}
				
				boolean userExists = true;
					
				if ( emailExists )
				{
					qry = "SELECT USERID FROM USERS WHERE "+
						"EMAIL_USERNAME='"+txtemail.substring(0, txtemail.indexOf('@'))+"' AND DOMAINID="+domainid;
					rs = smt.executeQuery ( qry );
					
					if ( rs.next() )
					{
						userExists = true;
						retVal = txtemail + " already registered";		//ALREADY REGISTERED
					}
					else
						userExists = false;
				}
						
				if ( !userExists )
				{
					if( user_reg.equals("tempid"))
					{
						System.out.println(tempflag);
						if(tempflag.equals("hide"))
						{
							setTempflag("show");
							retVal="";
							//registered = false;
						}
						else
						{
							boolean tempuserExists = false;
							String temppwd = "";
							java.util.Date signup_date = new java.util.Date();
							java.util.Date expirydate = new java.util.Date();

							qry = "SELECT TEMP_ID, TEMP_PWD, SIGNUP_ALLOWED, VALIDATION FROM TEMP_USER WHERE TEMP_ID = "+tempid+" AND  STATUS != 'true' and domainid="+domainid;
							System.out.println(qry);
							rs = smt.executeQuery ( qry );
							if(rs.next())
							{
								temppwd = rs.getString(2);
								java.util.Date signup_allowed = rs.getDate(3);
								int validmonth = rs.getInt(4);
								expirydate = timetool.addMonthsToDate(expirydate,validmonth);

								if ( !temppwd.equals(temppassword) )
								{
									tempuserExists = false;
									retVal = "Incorrect Temporary Password";
								}
								else
								{
									if (signup_allowed.compareTo(signup_date) < 0)
									{
										tempuserExists = false;
										retVal = "Your SignUp Date is expired";
									}
									else
										tempuserExists = true;
								}
							}
							else 
							{
								tempuserExists = false;
								retVal = "Temporary Id does not Exist";
							}
							if( tempuserExists )
							{
								String email_subject = "";
								String email_body = "";
								String challenge_webpage = "";
								String approval_webpage = "";
								String alreadyin_webpage = "";
								String failed_webpage = "";
								String comments = "";
								qry = "SELECT DEFAULTEMAIL_SUBJECT, DEFAULTEMAIL_BODY, DEFAULTCHALLENGEWEBPAGE, DEFAULTAPPROVALWEBPAGE, DEFAULTALREADYINWEBPAGE, DEFAULTFAILEDWEBPAGE, COMMENTS FROM DOMAINS WHERE DOMAINID = "+domainid;
								rs = smt.executeQuery(qry);
								if(rs.next())
								{
									 email_subject = rep.replaceBy(rs.getString(1), "'", "''" );
									 email_body = rep.replaceBy(rs.getString(2), "'", "''" );
									 challenge_webpage = rep.replaceBy(rs.getString(3), "'", "''" );
									 approval_webpage = rep.replaceBy(rs.getString(4), "'", "''" );
									 alreadyin_webpage = rep.replaceBy(rs.getString(5), "'", "''" );
									 failed_webpage = rep.replaceBy(rs.getString(6), "'", "''" );
									 comments = rep.replaceBy(rs.getString(7), "'", "''" );
								}

								qry = "INSERT INTO USERS ( FIRSTNAME, LASTNAME, EMAIL_USERNAME, DOMAINID, STATUS, ADMINID, AUTOADD, ALLOWEXPIREDKEYMAILS, ALLOWLIMITEDKEYMAILS, ALLOWDISABLEDKEYMAILS, EMAILSUBJECT, EMAILBODY, CHALLENGEWEBPAGE, APPROVALWEBPAGE, ALREADYINWEBPAGE, FAILEDWEBPAGE, COMMENTS,ALTERNATE_EMAIL) VALUES('"+txtemail.substring(0, txtemail.indexOf('@'))+"', '"+txtemail.substring(0, txtemail.indexOf('@'))+"', '"+txtemail.substring(0, txtemail.indexOf('@'))+"', "+domainid+", 1, 3,'0', 0, 0, 0, '"+email_subject+"', '"+email_body+"', '"+challenge_webpage+"', '"+approval_webpage+"', '"+alreadyin_webpage+"', '"+failed_webpage+"', '"+comments+"', '"+txtCarbonCopy+"')";
								registered = true;
								smt.executeUpdate( qry );

								qry = "update temp_user set status = 'true', signup_dt=now(), signup_id = '"+ txtemail +"', expiry_dt='"+expirydate+"' where TEMP_ID = '"+tempid+"'";
								System.out.println(qry);
								smt.executeUpdate(qry);
							}
						}
					}
					else
					{
						String email_subject = "";
						String email_body = "";
						String challenge_webpage = "";
						String approval_webpage = "";
						String alreadyin_webpage = "";
						String failed_webpage = "";
						String comments = "";
						qry = "SELECT DEFAULTEMAIL_SUBJECT, DEFAULTEMAIL_BODY, DEFAULTCHALLENGEWEBPAGE, DEFAULTAPPROVALWEBPAGE, DEFAULTALREADYINWEBPAGE, DEFAULTFAILEDWEBPAGE, COMMENTS FROM DOMAINS WHERE DOMAINID = "+domainid;
						rs = smt.executeQuery(qry);
						if(rs.next())
						{
							 email_subject = rep.replaceBy(rs.getString(1), "'", "''" );
							 email_body = rep.replaceBy(rs.getString(2), "'", "''" );
							 challenge_webpage = rep.replaceBy(rs.getString(3), "'", "''" );
							 approval_webpage = rep.replaceBy(rs.getString(4), "'", "''" );
							 alreadyin_webpage = rep.replaceBy(rs.getString(5), "'", "''" );
							 failed_webpage = rep.replaceBy(rs.getString(6), "'", "''" );
							 comments = rep.replaceBy(rs.getString(7), "'", "''" );
						}

						qry = "INSERT INTO USERS ( FIRSTNAME, LASTNAME, EMAIL_USERNAME, DOMAINID, STATUS, ADMINID, AUTOADD, ALLOWEXPIREDKEYMAILS, ALLOWLIMITEDKEYMAILS, ALLOWDISABLEDKEYMAILS, EMAILSUBJECT, EMAILBODY, CHALLENGEWEBPAGE, APPROVALWEBPAGE, ALREADYINWEBPAGE, FAILEDWEBPAGE, COMMENTS,ALTERNATE_EMAIL) VALUES('"+txtemail.substring(0, txtemail.indexOf('@'))+"', '"+txtemail.substring(0, txtemail.indexOf('@'))+"', '"+txtemail.substring(0, txtemail.indexOf('@'))+"', "+domainid+", 1, 3,'0', 0, 0, 0, '"+email_subject+"', '"+email_body+"', '"+challenge_webpage+"', '"+approval_webpage+"', '"+alreadyin_webpage+"', '"+failed_webpage+"', '"+comments+"', '"+txtCarbonCopy+"')";
						registered = true;
						smt.executeUpdate( qry );
					}
				}
				else
					registered = false;
			}
		}
		catch ( java.sql.SQLException sqle )
		{
			System.out.println("SQLE Exception-->"+sqle);
			retVal = "";
			registered = false; 
		}
		catch ( Exception e )
		{
			System.out.println("Exception-->"+e);
			registered = false;
			retVal = "";
		}
		finally
		{
			try {
				smt.close();
				conn.close();
			} catch ( Exception ignored ) {}
		}
		return retVal;
	}


	public String validateCustomer( )
	{
		java.sql.Connection conn = null;
		java.sql.Statement smt = null;
		java.sql.ResultSet rs = null;
		String returnval = "nothing";

		try
		{
			conn = dbconn.getConnection();
			smt = conn.createStatement();
			String qry = null;

			if ( flag.equals("UPDATE") )
			{
				// The user is already registered and he is updating his profile...
				qry = "SELECT FirstName, LastName, Email_UserName, DomainID, Status, AdminID, AutoAdd, AllowExpiredkeymails, AllowLimitedkeymails, AllowDisabledkeymails, EmailSubject, EmailBody, challengeWebPage, approvalWebPage, alreadyInWebPage, FailedWebPage, Comments,alternate_email FROM Users where LOWER(Email_UserName)='"+txtemail.substring(0, txtemail.indexOf('@')).toLowerCase()+"' AND DOMAINID="+domainid;
				//returnval = qry;
				rs = smt.executeQuery( qry );
				if ( rs.next() )
				{
					setTxtfname( rs.getString( 1 ) );
					setTxtlname(rs.getString( 2 ));
					setTxtemail( rs.getString( 3 ));
					setDomainid( rs.getInt( 4 ));
					setStatus( rs.getInt( 5 ));
					setAdminid(  rs.getInt( 6 ));
					String autoadd = rs.getString( 7 );
					setAllwd_exp_keymails( rs.getInt( 8 ));
					setAllwd_lmt_keymails( rs.getInt( 9 ));
					setAllwd_dsb_keymails(  rs.getInt( 10 ));
					setTxtsubject(  rs.getString( 11 ));
					setTxtbody(  rs.getString( 12 ));
					setTxtchallenge( rs.getString( 13 ));
					setTxtapproval( rs.getString( 14 ));
					setTxtalready(rs.getString( 15 ));
					setTxtfailed( rs.getString( 16 ));
					setTxtcomments( rs.getString( 17 ) );
					setTxtCarbonCopy( rs.getString( 18 ) );

					setApprove( Integer.parseInt(autoadd));
					registered=true;
				}
				else
					registered=false;
			}
			else
			{
				// The user has registered First time....
				// Select The information from AdminDefaults Tables to get the default Values for
				// usersetting page.....
			
				qry = "SELECT DefaultEmail_Subject, DefaultEmail_Body, DefaultchallengeWebPage, DefaultapprovalWebPage, DefaultalreadyInWebPage, DefaultFailedWebPage FROM AdminDefaults";

				rs = smt.executeQuery( qry );

				if ( rs.next() )
				{
					setTxtsubject(rs.getString(1));
					setTxtbody(rs.getString(2));
					setTxtchallenge(rs.getString(3));
					setTxtapproval(rs.getString(4));
					setTxtalready(rs.getString(5));
					setTxtfailed(rs.getString(6));
					
					registered=true;
				}
				else
					registered=false;

				returnval = qry;
			}
		}
		catch ( java.sql.SQLException sqle )
		{	System.out.println("SQLE Exception-->"+sqle);	}
		catch ( Exception e )
		{	System.out.println("Exception-->"+e);	}
		finally
		{
			try
			{
				rs.close();
				smt.close();
				conn.close();
			} catch ( Exception ignored ) {}
		}
		return returnval;
	}
	public boolean isRegistered ()
	{
		return registered;
	}
}