/********************************************************************************/
/* Name		: AddKeymail.java														*/
/* Copyright	: 2003 SATCOMLABS LTD.				     						*/
/* Team		: Spam Control Team													*/
/* Developer	: Pavan Gupta													*/
/* Last Updated	: 5:25 PM 26/12/2003											*/
/* Abstract	: Java Bean for Add, Update and Delete Keymail						*/
/* Called from	: interaddkeymail.jsp 											*/
/* Calls	: 																	*/
/********************************************************************************/
package com.antispam;

import com.DBConnection;

public class AddKeymail
{
	DBConnection dbconn = new DBConnection ();

	public String newkeymailid = "";
	public String oldkeymailid = "";
	public int userid = 0;
	public String creationdate = "";
	public String expirationtype = "";
	public int expirationdays = 0;
	public int approvalid = 0;
	public int statusid = 0;
	public int purposeid = 0;
	public int maxlimit = 0;
	public int replacekeymail = 0;
	public String comments = "";

	public String flag = "";

	/* SET-GET THE NEW KEYMAIL ID */
	public void setNewkeymailid ( String newkeymail_id )
	{	  
		newkeymailid = newkeymail_id;
	}
	public String getNewkeymailid ( )
	{
		return newkeymailid.toLowerCase();      
	}
	/* SET-GET THE OLD KEYMAIL ID */
	public void setOldkeymailid ( String oldkeymail_id )
	{	  
		oldkeymailid = oldkeymail_id;
	}
	public String getOldkeymailid ( )
	{
		return oldkeymailid;      
	}

	/* SET-GET THE USER ID */
	public void setUserid ( int newuserid )
	{
		userid = newuserid;
	}
	public int getUserid ( )
	{
		return userid;
	}

	/* SET-GET THE CREATION DATE */
	public void setCreationdate ( String newcreationdate )
	{	  
		creationdate = newcreationdate;      
	}
	public String getCreationdate ( )
	{
		return creationdate;
	}
	
	/* SET-GET THE EXPIRATION TYPE */
	public void setExpirationtype ( String newexpirationtype )
	{	  
		expirationtype = newexpirationtype;      
	}
	public String getExpirationtype ( )
	{
		return expirationtype;
	}
	
	/* SET-GET THE EXPIRATION DAYS */
	public void setExpirationdays ( int newexpirationdays )
	{	  
		expirationdays = newexpirationdays;
	}
	public int getExpirationdays ( )
	{
		return expirationdays;      
	}
	
	/* SET-GET THE APPROVAL ID */
	public void setApprovalid ( int newapprovalid )
	{	  
		approvalid = newapprovalid;
	}
	public int getApprovalid ( )
	{
		return approvalid;      
	}
	
	/* SET-GET THE STATUS ID */
	public void setStatusid ( int newstatusid )
	{	  
		statusid = newstatusid;
	}
	public int getStatusid ( )
	{
		return statusid;      
	}
	
	/* SET-GET THE PURPOSE ID */
	public void setPurposeid ( int newpurposeid )
	{	  
		purposeid = newpurposeid;
	}
	public int getPurposeid ( )
	{
		return purposeid;      
	}
	
	/* SET-GET THE MAXIMUM LIMIT */
	public void setMaxlimit ( int newmaxlimit )
	{	  
		maxlimit = newmaxlimit;
	}
	public int getMaxlimit ( )
	{
		return maxlimit;      
	}
	
	/* SET-GET THE COMMENTS */
	public void setComments ( String newcomments )
	{	  
		comments = newcomments;      
	}
	public String getComments ( )
	{
		return comments;
	}

	/* SET-GET THE REPLACE KEYMAIL WITH ORIGINAL EMAIL ID */
	public void setReplacekeymail ( int newreplacekeymail )
	{	  
		replacekeymail = newreplacekeymail;      
	}
	public int getReplacekeymail ( )
	{
		return replacekeymail;
	}

	public void setFlag( String s )
	{
		flag = s;
	}
	public String getFlag()
	{
		return flag;
	}


	public String registered ( ) 
	{
		String retVal = "";
		      
		java.sql.Connection conn = null;
		java.sql.Statement smt = null;
		java.sql.ResultSet rs = null;
		java.sql.ResultSet rs1 = null;
		String qry = null;
		String falgexist = "";
		try
		{
			conn = dbconn.getConnection();
			smt = conn.createStatement();
			int reccount = 0; //RECORD COUNT

			if ( flag.equals("UPDATE") )
			{
				if(statusid == 2 || statusid == 4)
					qry = "UPDATE KEYMAILS SET STATUSID = "+statusid+", COMMENTS = '"+comments+"' WHERE KEYMAILID = '"+oldkeymailid+"'";
				else
					qry = "UPDATE KEYMAILS SET EXPIRATION_TYPE = '"+expirationtype+"', EXPIRATION_DAYS = "+expirationdays+", APPROVALID = "+approvalid+", STATUSID = "+statusid+", PURPOSEID = "+purposeid+", MAXLIMIT = "+maxlimit+", COMMENTS = '"+comments+"', REPLACE_KEYMAIL = " + replacekeymail +" WHERE KEYMAILID = '"+oldkeymailid+"'";
				
				smt.executeUpdate ( qry );

				//qry = "DELETE FROM KEYMAILLIST WHERE KEYMAIL = '"+oldkeymailid+"'";
				//smt.executeUpdate(qry);
							
				retVal = oldkeymailid+" Modified Successfully ";
			}
			else if ( flag.equals("ADD") )
			{
				qry = "SELECT KEYMAILID FROM KEYMAILS WHERE KEYMAILID='"+newkeymailid+"' AND USERID="+userid;
				rs = smt.executeQuery ( qry );
				if (rs.next())
				{
					falgexist = "true";
					retVal = newkeymailid+" already exists";
				}
				
				if(falgexist.equals("true"))
					retVal = retVal;
				else
				{
					qry = "INSERT INTO KEYMAILS VALUES('"+newkeymailid.toLowerCase()+"', "+userid+", '"+creationdate+"', '"+expirationtype+"', "+expirationdays+", "+approvalid+", "+statusid+", "+purposeid+", "+maxlimit+", '"+comments+"',"+replacekeymail+")";
					smt.executeUpdate( qry );
					retVal = newkeymailid+" added to Keymails";
				}
			}
			else if(flag.equals("UPDATESCOPE"))
			{
				qry = "UPDATE KEYMAILS SET APPROVALID = "+approvalid+" WHERE KEYMAILID = '"+oldkeymailid+"'";
				smt.executeUpdate ( qry );

				//qry = "DELETE FROM KEYMAILLIST WHERE KEYMAIL = '"+oldkeymailid+"'";
				//smt.executeUpdate(qry);
			
				retVal = "Update Opration Succeeded";
			}
			else if(flag.equals("UPDATESTATUS"))
			{
				qry = "UPDATE KEYMAILS SET STATUSID = "+statusid+" WHERE KEYMAILID = '"+oldkeymailid+"'";
				smt.executeUpdate ( qry );
				
				//qry = "DELETE FROM KEYMAILLIST WHERE KEYMAIL = '"+oldkeymailid+"'";
				//smt.executeUpdate(qry);

				retVal = oldkeymailid+" Modified Successfully ";
			}
			else if ( flag.equals("DELETE") )
			{
				qry = "DELETE FROM KEYMAILS WHERE KEYMAILID='"+oldkeymailid+"'";
				smt.executeUpdate( qry );

				retVal = "Delete Opration Succeeded";
			}
		}
		catch ( java.sql.SQLException sqle )
		{
			System.out.println("SQLE Exception-->"+sqle);
			retVal=sqle.toString();
		}
		catch ( Exception e )
		{
			System.out.println("Exception-->"+e);
			retVal=e.toString();
		}
		finally
		{
			try 
			{
				smt.close();
				conn.close();
			}
			catch ( Exception ignored ) {}
		}
		return retVal;
	}

	public void selectKeymail( )
	{
		java.sql.Connection conn = null;
		java.sql.Statement smt = null;
		java.sql.ResultSet rs = null;

		try
		{
			conn = dbconn.getConnection();
			smt = conn.createStatement();
	     
			String qry = null;

			// The user is already registered and he is updating his profile...
			
			qry = "SELECT EXPIRATION_TYPE, EXPIRATION_DAYS, APPROVALID, STATUSID, PURPOSEID, MAXLIMIT, COMMENTS, REPLACE_KEYMAIL FROM KEYMAILS WHERE KEYMAILID ='"+oldkeymailid+"'";
			rs = smt.executeQuery( qry );

			if ( rs.next() )
			{
				setExpirationtype( rs.getString( 1 ) );
				setExpirationdays(rs.getInt( 2 ));
				setApprovalid( rs.getInt( 3 ));
				setStatusid( rs.getInt( 4 ));
				setPurposeid( rs.getInt( 5 ));
				setMaxlimit(  rs.getInt( 6 ));
				setComments( rs.getString( 7 ));
				setReplacekeymail( rs.getInt( 8 ));
			}
		}
		catch ( java.sql.SQLException sqle )
		{	System.out.println("SQLE Exception-->"+sqle);	}
		catch ( Exception e )
		{	System.out.println("Exception-->"+e);	}
		finally
		{
			try
			{
				rs.close();
				smt.close();
				conn.close();
			} catch ( Exception ignored ) {}
		}
	}
}
