/********************************************************************************/
/* Name			: DomainAlias.java												*/
/* Copyright	: 2003 SATCOMLABS LTD.				     						*/
/* Team			: Spam Control Team												*/
/* Developer	: Shivraj K. Saini												*/
/* Last Updated	: 31/12/2004													*/
/* Abstract		: Retreive All Domain Alias										*/
/* Called from	: 																*/
/* Calls		: 																*/
/********************************************************************************/


package taglibrary;

import javax.servlet.http.*;
import javax.servlet.jsp.*;
import javax.servlet.jsp.tagext.*;
import java.io.*;
import java.net.*;
import java.util.Date;
import java.text.SimpleDateFormat;
import com.DBConnection;
import java.util.List;
import java.util.LinkedList;

public class DomainAlias extends BodyTagSupport 
	{
	
	public int domainid = 0;
	
		
	public String hidshowallbtn = null;
	public String sortname = null;
	public String sortemail = null;

	public int minimum = 0;		
	public int k =0;
	
	private  List DAliasId = new LinkedList();		
	private  List DomainAlias = new LinkedList();
	
	public String txtusername = null;
	public int rdostatus = 0;
	public int rdoadmin = 0;
		
	private int index;
	private String order = "";
	private String column = "";

	private StringBuffer output = null;

	DBConnection dbconn = new DBConnection ();
	
	//SET-GET DOMAINID	 
	public void setDomainid( int d )
    {
		domainid = d;	
	}
	public int getDomainid ()
    {	
		return domainid;	
	}
	
	// GET-SET METHOD FOR ORDER OF RECORDS (ASCENDING/ DESCENDING)
	public String getOrder ()
    {	
		return order;	
	}
    public void setOrder( String neworder )
    {
		this.order = neworder;	
	}

	// GET-SET METHOD FOR COLUMN NAME TO BE SORT
	public String getColumn ()
    {	
		return column;	
	}
    public void setColumn( String newcolumn )
    {
		this.column = newcolumn;	
	}

	public int doStartTag() throws JspException
	{
		java.sql.Connection conn = null;
		java.sql.Statement stmt = null;
		java.sql.ResultSet rs = null;

		output = new StringBuffer();
		k = 0;

		String qry = null;
		try
		{
			conn = dbconn.getConnection();
			stmt = conn.createStatement();
						
			//column = "data";
			//order = "desc";

			qry = "SELECT DALIASID, DOMAINALIAS FROM DOMAINALIAS WHERE DOMAINID = "+domainid +"  order by "+column+" "+order;		
			//qry = "SELECT TRANSFORMATIONID, DATA FROM domaintransformation WHERE DOMAINID = "+domainid +"  order by "+column+" "+order;
			rs = stmt.executeQuery( qry );
			if ( rs.next() )
			{
					do
					{
						DAliasId.add( rs.getString( 1 ) );
						DomainAlias.add(rs.getString( 2 ));
					}
					while(rs.next());					
			}
			else
			{
				DAliasId.add ("0");
				DomainAlias.add("0");
			}
		}
		catch ( java.sql.SQLException sqle )
		{	System.out.println("SQLE Exception-->"+sqle);	}
		catch ( Exception e )
		{	System.out.println("Exception-->"+e);	}
		finally
		{
			try
			{
				rs.close();
				stmt.close();
				conn.close();
			}
			catch ( Exception ignored ) {System.out.println("Spam Controllar");
			System.out.println(ignored);
			}
		}
		if ( DAliasId.size() > 0 )
		{
			setLoopVariables();
			return EVAL_BODY_TAG;
		}
		return SKIP_BODY;
	}

	public int doAfterBody() throws JspTagException
    {
		BodyContent bodyContent = getBodyContent();
		if ( bodyContent != null )
		{
			output.append( bodyContent.getString() );
			try
			{
				bodyContent.clear();
			}
			catch ( IOException ex )
			{
				System.out.println("Spam Controllar");
                throw new JspTagException("Fatal IO Error");
			}
		}
		if ( ++index < DAliasId.size() )
		{
			setLoopVariables();
			return EVAL_BODY_TAG;
		}
		return SKIP_BODY;
     }

	public int doEndTag() throws JspTagException
	{
		try
		{
			bodyContent.getEnclosingWriter().write( output.toString() );
		}
		catch ( IOException ex )
		{
			System.out.println("Error -->"+ex);
			throw new JspTagException("Fatal IO Error");
		}
		return EVAL_PAGE;
	} 
    
	private void setLoopVariables ()
    {
		pageContext.setAttribute( "DomainAliasId", DAliasId.get( index ).toString() );
		pageContext.setAttribute( "DomainAliasName", DomainAlias.get( index ).toString() );		
	}
}