/********************************************************************************/
/* Name		:KeymailInstance.java						*/
/* Copyright		:2003 SATCOMLABS LTD.				*/
/* Team		:Spam Control Team					*/
/* Developer		:Pavan Gupta						*/
/* Last Updated	:				*/
/* Abstract		:Fetch list of keymail instances		*/
/* Called from		:						*/
/* Calls		:							*/
/********************************************************************************/
package taglibrary;

import javax.servlet.http.*;
import javax.servlet.jsp.*;
import javax.servlet.jsp.tagext.*;
import java.io.*;
import java.net.*;
import java.util.Date;
import java.text.SimpleDateFormat;
import com.DBConnection;

public class KeymailInstance extends BodyTagSupport
{
	private String keymail_id = "";
	private String order = "";
	private String column = "";
		
	public int minimum = 0;		
	public int k =0;

	private java.util.List keymaillistid = new java.util.LinkedList();
	private java.util.List mailerid = new java.util.LinkedList();
	private java.util.List mailerdomain = new java.util.LinkedList();
	private java.util.List instantiationdate = new java.util.LinkedList();
	private int index;
	private StringBuffer output = null;

	DBConnection dbconn = new DBConnection ();
	 
	public void setMinimum( int d )
    	{
		minimum = d;	
	}
	
	public int getMinimum()
    	{	
		return minimum;	
	}
	
	
	public String getKeymail_id ()
    {	
		return keymail_id;	
	}
    	public void setKeymail_id( String newkeymail_id )
    	{
		this.keymail_id = newkeymail_id;	
	}
	
	// GET-SET METHOD FOR ORDER OF RECORDS (ASCENDING/ DESCENDING)
	public String getOrder ()
    {	
		return order;	
	}
    public void setOrder( String neworder )
    {
		this.order = neworder;	
	}

	// GET-SET METHOD FOR COLUMN NAME TO BE SORT
	public String getColumn ()
    {	
		return column;	
	}
    public void setColumn( String newcolumn )
    {
		this.column = newcolumn;	
	}

	public int doStartTag() throws JspException
	{
		java.sql.Connection conn = null;
		java.sql.Statement stmt = null;
		java.sql.ResultSet rs = null;

		output = new StringBuffer();

		String qry = null;
		try
		{
			conn = dbconn.getConnection();
			stmt = conn.createStatement();
			
			//FETCH KEYMAIL INSTANCES 
			//qry = "SELECT KEYMAILLISTID, INSTANTIATED_DATE, SENDER_ID, SENDER_DOMAIN FROM KEYMAILLIST WHERE KEYMAIL='"+keymail_id+"' ORDER BY "+column+" "+order;
			qry = "SELECT KEYMAILLISTID, TO_CHAR(INSTANTIATED_DATE,'dd/mm/yyyy hh:mi AM'), SENDER_ID,SENDER_DOMAIN FROM KEYMAILLIST WHERE KEYMAIL='"+keymail_id+"' ORDER BY "+column+" "+order;
			
			rs = stmt.executeQuery( qry );
			if ( rs.next() )
			{
				int i = 0;
				int j = 0;
				k = 0;
								
				while(i<(minimum-1) && rs.next())
				{
					i++;
					k++;
				}	
				do
				{
					keymaillistid.add( rs.getString( 1 ));
					instantiationdate.add ( rs.getString(2) );
					mailerid.add ( rs.getString( 3 ) );
					mailerdomain.add ( rs.getString( 4 ) );
							
						j++;
						k++;
				}
				while(rs.next() && j<10);
				while(rs.next())
				{
					k++;
				}
			}
			else
			{
				keymaillistid.add ("0");
				instantiationdate.add ("0");
				mailerid.add ("0");
				mailerdomain.add ("0");
			}
		}
		catch ( java.sql.SQLException sqle )
		{	System.out.println("SQLE Exception-->"+sqle);	}
		catch ( Exception e )
		{	System.out.println("Exception-->"+e);	}
		finally
		{
			try
			{
				rs.close();
				stmt.close();
				conn.close();
			}
			catch ( Exception ignored ) {System.out.println("Spam Controllar");
			System.out.println(ignored);
			}
		}
		if ( keymaillistid.size() > 0 )
		{
			setLoopVariables();
			return EVAL_BODY_TAG;
		}
		return SKIP_BODY;
	}

	public int doAfterBody() throws JspTagException
	{
		BodyContent bodyContent = getBodyContent();
		if ( bodyContent != null )
		{
			output.append( bodyContent.getString() );
			try
			{
				bodyContent.clear();
			}
			catch ( IOException ex )
			{
				System.out.println("Spam Controllar");
				throw new JspTagException("Fatal IO Error");
			}
		}
		if ( ++index < keymaillistid.size() )
		{
			setLoopVariables();
			return EVAL_BODY_TAG;
		}
		return SKIP_BODY;
	}

	public int doEndTag() throws JspTagException
	{
		try
		{
			bodyContent.getEnclosingWriter().write( output.toString() );
		}
		catch ( IOException ex )
		{
			System.out.println("Error -->"+ex);
			throw new JspTagException("Fatal IO Error");
		}
		pageContext.setAttribute( "Exprkeyinstance", new Integer(k));  
		return EVAL_PAGE;
	}
    
	private void setLoopVariables ()
	{
		pageContext.setAttribute( "keymaillistid", keymaillistid.get( index ).toString() );
		pageContext.setAttribute( "instantiationdate", instantiationdate.get( index ).toString() );
		pageContext.setAttribute( "mailerid", mailerid.get( index ).toString() );
		pageContext.setAttribute( "mailerdomain",mailerdomain.get( index ).toString() );
	}
}