/********************************************************************************/
/* Name			:Status.java						*/
/* Copyright	:2003 SATCOMLABS LTD.				*/
/* Team			:Spam Control Team					*/
/* Developer	:Pavan Gupta						*/
/* Last Updated	:10:10 AM 25/12/2003					*/
/* Abstract		:Fetch Keymail Status			*/
/* Called from	:addkeymail.jsp						*/
/* Calls		:							*/
/********************************************************************************/
package taglibrary;

import javax.servlet.http.*;
import javax.servlet.jsp.*;
import javax.servlet.jsp.tagext.*;
import java.io.*;
import java.net.*;
import com.DBConnection;

public class Status extends BodyTagSupport
{
	private java.util.List statusid = new java.util.LinkedList();
	private java.util.List status = new java.util.LinkedList();
	private java.util.List comments = new java.util.LinkedList();
	private int index;
	private StringBuffer output = null;
	private String domain = "";

	public void setDomainname( String d )
    {
		domain = d;	
	}
	public String getDomainname()
    {	
		return domain;	
	}

	DBConnection dbconn = new DBConnection ();
 	public int doStartTag() throws JspException
    	{
		java.sql.Connection conn = null;
		java.sql.Statement stmt = null;
		java.sql.Statement stmt_quar = null;
		java.sql.ResultSet rs = null;
		java.sql.ResultSet rs_quar = null;

		output = new StringBuffer();

		String qry = null;
		try
		{
			conn = dbconn.getConnection();
			stmt = conn.createStatement();
			stmt_quar = conn.createStatement();
			
			//FETCH ALL ALIAS FROM ALIAS TABLE
			qry = "SELECT STATUSID, KEYMAIL_STATUS, COMMENTS FROM KEYMAIL_STATUS ORDER BY STATUSID";
			rs = stmt.executeQuery( qry );
			qry = "SELECT AGEING FROM DOMAINS WHERE DOMAINNAME='"+domain+"'";
			rs_quar = stmt_quar.executeQuery(qry);

			if ( rs.next() )
			{
					do
					{
						statusid.add ( rs.getString( 1 ) );
						status.add ( rs.getString( 2 ) );
						if(rs.getString( 1 ).equals("5"))
						{
							if(rs_quar.next())
							comments.add ( rs.getString( 3 ) +" "+rs_quar.getString(1)+" days)." );
							else
								comments.add ( rs.getString( 3 ) );
							
						}
						else
							comments.add ( rs.getString( 3 ) );
					}
					while( rs.next() );
			}
			else
			{
				statusid.add ("0");
				status.add ("0");
				comments.add ("0");
			}
		}
		catch ( java.sql.SQLException sqle )
		{	System.out.println("SQLE Exception-->"+sqle);	}
		catch ( Exception e )
		{	System.out.println("Exception-->"+e);	}
		finally
		{
			try
			{
				rs.close();
				stmt.close();
				conn.close();
			}
			catch ( Exception ignored ) {
				System.out.println("Spam Controllar");
				System.out.println(ignored);
				}
		}
		if ( statusid.size() > 0 )
		{
			setLoopVariables();
			return EVAL_BODY_TAG;
		}
		return SKIP_BODY;
	}

	public int doAfterBody() throws JspTagException
    {
		BodyContent bodyContent = getBodyContent();
		if ( bodyContent != null )
		{
			output.append( bodyContent.getString() );
			try
			{
				bodyContent.clear();
			}
			catch ( IOException ex )
			{
				System.out.println("Spam Controllar");
                throw new JspTagException("Fatal IO Error");
			}
		}
		if ( ++index < statusid.size() )
		{
			setLoopVariables();
			return EVAL_BODY_TAG;
		}
		return SKIP_BODY;
     }

	public int doEndTag() throws JspTagException
	{
		try
		{
			bodyContent.getEnclosingWriter().write( output.toString() );
		}
		catch ( IOException ex )
		{
			System.out.println("Error -->"+ex);
			throw new JspTagException("Fatal IO Error");
		}
		return EVAL_PAGE;
	}
    
	private void setLoopVariables ()
    {
		pageContext.setAttribute( "statusid", statusid.get( index ).toString() );
		pageContext.setAttribute( "status", status.get( index ).toString() );
		pageContext.setAttribute( "comments", comments.get( index ).toString() );
	}
}