<%
/********************************************************************************/
/* Name			: AddUserDomain.java											*/
/* Copyright	: 2005 DATA INFOCOM LTD.			     						*/
/* Team			: Spam Control Team												*/
/* Developer	: Virendra Singh Royal											*/ 
/* Last Updated	: 																*/
/* Abstract		: auto Add users to domain 											*/
/* Called from	: Dashboard														*/
/* Calls		: 																*/
/********************************************************************************/
%>
<%@ taglib prefix="domain" uri="/WEB-INF/TLDS/domain.tld" %>
<%@ taglib prefix="spam" uri="/WEB-INF/TLDS/spamcontrollar.tld" %>
<jsp:useBean id = "validate" scope="session" class="com.antispam.Authentication" />
<jsp:useBean id = "settingid" scope = "page" class = "com.antispam.UpdateUserDomain" />
<jsp:useBean id="user" scope="session" class="com.antispam.User" />
<jsp:useBean id = "domainmainid" scope = "session" class = "com.antispam.DomainSettings" />
<%
int userid = validate.getUserid();
int adminid = validate.getAdminid();
if (userid==0 || adminid > 2)
{
	response.sendRedirect("dashboardlogin.jsp");
}
else
{
int logindomainid = validate.getDomainid();
int domainid = 0;
int tempdomainid = validate.getTempdomainid();
if(tempdomainid == 0)
	domainid = logindomainid;
else
	domainid = tempdomainid;


	domainmainid.setHiddomainid(domainid);
	domainmainid.registered();
	String user_reg = domainmainid.getRadRegistration();
	if(user_reg == null)
		user_reg = "";

settingid.setDomainid(domainid);
//settingid.selectDefault();
settingid.selectUpdateDefault();

String message = "";
	if(request.getParameter("msg") != null)
		message = request.getParameter("msg");
%>

<HTML>
	<HEAD>
		<TITLE>Add User</TITLE>
		<LINK href="stylesheets/display_control.css" rel=stylesheet type=text/css>
	</HEAD>
	<SCRIPT language=javascript src="scripts/validate.js"></SCRIPT>
	<SCRIPT language=javascript src="scripts/validations.js"></SCRIPT>
	<script>
		//FUNCTION TO CHECK ALL THE VALIDATION ON THE FORM 
		function chkadduser()
		{
			
			document.frmadduser.txtusername.value=trim(document.frmadduser.txtusername.value);
			document.frmadduser.txtfname.value=trim(document.frmadduser.txtfname.value);
			document.frmadduser.txtlname.value=trim(document.frmadduser.txtlname.value);
			document.frmadduser.txtsubject.value=trim(document.frmadduser.txtsubject.value);
			
			if(document.frmadduser.sendalsochallenge.checked==true)
				document.frmadduser.hidsendalsochallenge.value='Y';
			else
				document.frmadduser.hidsendalsochallenge.value='N';

			if(document.frmadduser.chkpassiveflag.checked == true)

				document.frmadduser.passiveflag.value = "y";
				else
				document.frmadduser.passiveflag.value = "n";

			if(document.frmadduser.txtusername.value=="")
			{
				alert("Enter Your User Name");
				document.frmadduser.txtusername.focus();
				return false;
			}
			else if(spcharvalidate(document.frmadduser.txtusername.value,"_.")==true)
			{
				alert("Speacial character found");
				document.frmadduser.txtusername.focus();
				return false;
			}	
			else if(document.frmadduser.txtfname.value=="")
			{
				alert("Enter Your First Name");
				document.frmadduser.txtfname.focus();
				return false;
			}
			else if(spcharvalidate(document.frmadduser.txtfname.value,"")==true)
			{
				alert("Speacial character found");
				document.frmadduser.txtfname.focus();
				return false;
			}	
			else if(document.frmadduser.txtlname.value=="")
			{
				alert("Enter Your Last Name");
				document.frmadduser.txtlname.focus();
				return false;
			}
			else if(spcharvalidate(document.frmadduser.txtlname.value,"")==true)
			{
				alert("Speacial character found");
				document.frmadduser.txtlname.focus();
				return false;
			}
			else if(document.frmadduser.txtsubject.value=="")
			{
				alert("Enter Email Subject");
				document.frmadduser.txtsubject.focus();
				return false;
			}
			/*else if(spcharvalidate(document.frmadduser.txtsubject.value,"'")==true)
			{
				alert("Speacial character found");
				document.frmadduser.txtsubject.focus();
			}*/	
			else if(document.frmadduser.txtbody.value=="")
			{
				alert("Enter Email Body");
				document.frmadduser.txtbody.focus();
				return false;
			}	
			else if(document.frmadduser.txtchallenge.value=="")
			{
				alert("Enter Challenge WebPage Content");
				document.frmadduser.txtchallenge.focus();
				return false;
			}	
			else if(document.frmadduser.txtapproval.value=="")
			{
				alert("Enter Approval WebPage Content");
				document.frmadduser.txtapproval.focus();
				return false;
			}	
			else if(document.frmadduser.txtalready.value=="")
			{
				alert("Enter Already WebPage Content");
				document.frmadduser.txtalready.focus();
				return false;
			}
			else if(document.frmadduser.txtfailed.value=="")
			{
				alert("Enter Failed WebPage Content");
				document.frmadduser.txtfailed.focus();
				return false;
			}
			else if(document.frmadduser.txtCarbonCopy.value != "")
			{
				if(emailcheck(document.frmadduser.txtCarbonCopy.value)==false)
				{
					document.frmadduser.txtCarbonCopy.focus();
					return false;
				}
			}
			
			if(document.frmadduser.chkAdditional.checked == true)
			{
				
				if(document.frmadduser.checkfwdmail[0].checked == false && document.frmadduser.checkfwdmail[1].checked == false)
				{
					alert("Please select a option.");
					return false;
				}

				if(document.frmadduser.checkfwdmail[0].checked == false)
					document.frmadduser.txtAlternateto.value = "";
				else
				{
					if(document.frmadduser.txtAlternateto.value == "")
					{
						alert("Please Enter A Address");
						document.frmadduser.txtAlternateto.focus();
						return false;
					}
				}
				
					
				if(document.frmadduser.checkfwdmail[1].checked == true)
					document.frmadduser.quaranstatus.value = "y";
				else
					document.frmadduser.quaranstatus.value = "n";

			}
			else
			{
				document.frmadduser.quaranstatus.value = "n";
				document.frmadduser.txtAlternateto.value = "";
			}

			if(document.frmadduser.txtAlternateEmail.value != "")
			{
				if(emailcheck(document.frmadduser.txtAlternateEmail.value)==false)
				{
					document.frmadduser.txtAlternateEmail.focus();
				}
				else
				{
					window.document.frmadduser.submit();
				}
			}
			else
			{
				document.frmadduser.submit(); 
			}
		}
			
			
			
		function check()
		{ 
			if(document.frmadduser.passivestatus[2].checked)
				document.frmadduser.txtAlternateto.readOnly= false;
			else  
				document.frmadduser.txtAlternateto.readOnly= true;   
		}


		function funload()
		{
		<!--	document.frmadduser.txtusername.focus(); -->
		
		}
		//FUNCTION TO CHECK VALID EMAIL ADDRESS
		function emailcheck(emailStr) 
		{
			var FormData=document.frmadduser
			var dot=0
			var at2=0
			var at
			var emailPat=/^(.+)@(.+)$/
			var specialChars="\\(\\)<>@,;:\\\\\\\"\\.\\[\\]"
			var validChars="\[^\\s" + specialChars + "\]"
			var quotedUser="(\"[^\"]*\")"
			var ipDomainPat=/^\[(\d{1,3})\.(\d{1,3})\.(\d{1,3})\.(\d{1,3})\]$/
			var atom=validChars + '+'
			var word="(" + atom + "|" + quotedUser + ")"
			var userPat=new RegExp("^" + word + "(\\." + word + ")*$")
			var domainPat=new RegExp("^" + atom + "(\\." + atom +")*$")
			var matchArray=emailStr.match(emailPat)

			if (matchArray==null) 
			{
			<!--	alert("Email address seems incorrect (check @ and .'s)") -->
			
				return true
			}
			var user=matchArray[1]
			var domain=matchArray[2]
			if (user.match(userPat)==null) 
			{
				alert("The username doesn't seem to be valid.")
				document.frmadduser.txtCarbonCopy.focus();
					return false
			}
			var IPArray=domain.match(ipDomainPat)
			if (IPArray!=null) 
			{
				for (var i=1;i<=4;i++) 
				{
					if (IPArray[i]>255) 
					{
						alert("Destination IP address is invalid!")
						return false
					}
				}
				return true
			}

			var domainArray=domain.match(domainPat)
			if (domainArray==null) 
			{
				alert("The domain name doesn't seem to be valid.")
				document.frmadduser.txtCarbonCopy.focus();
				return false
			}

			var atomPat=new RegExp(atom,"g")
			var domArr=domain.match(atomPat)
			var len=domArr.length
			
			if (domArr[domArr.length-1].length<2) 
			{
				alert("Invalid domain, it must be a two letter country or ore more than two letter domain.")
				return false
			}

			if (len<2) 
			{
				var errStr="This address is missing a hostname!"
				alert(errStr)
				return false
			}
		}
		
			
		function checkstatus()
		{
			if(document.frmadduser.radstatus[1].checked)
			{
				document.frmadduser.sendalsochallenge.disabled = false;
			}
			else
			{
				document.frmadduser.sendalsochallenge.disabled = true; 
			}

			if(document.frmadduser.radstatus[2].checked)
			{
				document.frmadduser.passivestatus[0].disabled = false;
				document.frmadduser.passivestatus[1].disabled = false;

				document.frmadduser.chkpassiveflag.disabled = false;
				document.frmadduser.chkAdditional.disabled = false;
			}
			else
			{
				document.frmadduser.passivestatus[0].disabled = true;
				document.frmadduser.passivestatus[1].disabled = true;

				document.frmadduser.checkfwdmail[0].disabled = true;
				document.frmadduser.checkfwdmail[1].disabled = true;
				document.frmadduser.chkpassiveflag.disabled = true;
				document.frmadduser.chkAdditional.disabled = true;
				
			}
			document.frmadduser.txtAlternateto.readOnly= true;
		}


		function check3()
		{
				document.frmadduser.txtAlternateto.readOnly= false;
		}

		function check2()
		{
				document.frmadduser.txtAlternateto.readOnly= true;
		}

		function checkAdditional()
		{
			if(document.frmadduser.chkAdditional.checked == true)
			{
				document.frmadduser.checkfwdmail[0].disabled = false;
				document.frmadduser.checkfwdmail[1].disabled = false;
				document.frmadduser.txtAlternateto.readOnly= false;
			}
			else
			{
				document.frmadduser.checkfwdmail[0].disabled = true;
				document.frmadduser.checkfwdmail[1].disabled = true;
				document.frmadduser.txtAlternateto.readOnly= true;
			}
		}

	</script>
	<BODY onload="funload();checkstatus()" >
		<FORM  method=post name=frmadduser  action="interupdateuserdomain.jsp">
			<INPUT type="hidden" name="domainid" value="<%=domainid%>">
			<INPUT type=hidden name=quaranstatus value="n">
			<INPUT type=hidden name=passiveflag>
			<INPUT type=hidden name=hidsendalsochallenge>
			<INPUT type=hidden name=hidquarantined>
			<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
				<TBODY>
					<TR>
						<TD colSpan=2><!--for the header Image-->
							<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
								<TBODY>
									<TR>
										<TD bgColor=#cecece>
											<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
												<TBODY>
													<TR>
														<TD align=left vAlign=top width="52%"><img border="0" src="images/img.gif" width="470" height="48"></TD>
														<TD align=right vAlign=top width="48%"><IMG src="images/topbar-right.gif" width="229" height="48"></TD>
													</TR>
												</TBODY>
											</TABLE>
										</TD>
									</TR>
									<TR>
										<TD bgColor=#000000><IMG height=1 src="Add User_files/1x1.gif" width=1></TD>
									</TR>
									<TR>
										<TD align=left bgColor=#007ccd height=37 vAlign=bottom>
											<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
												<TBODY>
													<TR>
														<!-- FOR SERVER ADMINISTRATOR ADMINID = 1 -->
														<% if (adminid == 1) { %>
															<TD align=left vAlign=bottom width="33%">
																<DIV class=header id=TopBanner_UserPanel>
																	<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																		<TBODY>
																			<TR>
																				<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																				<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href="usermain.jsp">User</TD>
																				<TD align=right width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																			</TR>
																		</TBODY>
																	</TABLE>
																</DIV>
															</TD>
															<TD width="33%">
																<DIV class=header_active id=TopBanner_Panel>
																	<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																		<TBODY>
																			<TR>
																				<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																				<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href = "domainmain.jsp">Domain</A></TD>
																				<TD width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																			</TR>
																		</TBODY>
																	</TABLE>
																</DIV>
															</TD>
															<TD width="34%">
																<DIV class=header id=TopBanner_ServerPanel>
																	<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																		<TBODY>
																			<TR>
																				<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																				<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href="servermain.jsp">Server</TD>
																				<TD width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																			</TR>
																		</TBODY>
																	</TABLE>
																</DIV>
															</TD>
														<!-- FOR DOMAIN ADMINISTRATOR ADMINID = 2 -->
														<% } else if (adminid == 2) { %>
															<TD align=left vAlign=bottom width="33%">
																<DIV class=header id=TopBanner_UserPanel>
																	<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																		<TBODY>
																			<TR>
																				<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																				<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href="usermain.jsp">User</A></TD>
																				<TD align=right width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																			</TR>
																		</TBODY>
																	</TABLE>
																</DIV>
															</TD>
															<TD width="33%">
																<DIV class=header_active id=TopBanner_DomainPanel>
																	<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																		<TBODY>
																			<TR>
																				<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																				<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href = "domainmain.jsp">Domain</A></TD>
																				<TD width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																			</TR>
																		</TBODY>
																	</TABLE>
																</DIV>
															</TD>
															<TD width="34%"></TD>
														<% }  %>
													</TR>   
													<TR>
														<TD colSpan=3>
															<TABLE border=0 cellPadding=2 cellSpacing=0 width="100%">
																<TBODY>
																	<TR class=blanktd>
																		<TD width="90%">Working in Domain: <domain:domaininfo domain_id="<%= domainid %>" /></TD>
																		<TD align=right width="10%"><font color="navy" class=gridrowlink onmouseover = "javascript:style.cursor='hand'" onclick="openHelp('help/autoaddsetting.html')" style="FONT-WEIGHT:bold"><u>Help</u></font>&nbsp;</TD>
																	</TR>
																	<TR>
																		<TD bgColor=#330099 colSpan=2></TD>
																	</TR>
																</TBODY>
															</TABLE>
														</TD>
													</TR>
												</TBODY>
											</TABLE>
										</TD>
									</TR>
								</TBODY>
							</TABLE>
						</TD>
					</TR>
					<TR>
						<TD class=navbg><!--For the menu--><!--Menu for Domain Admin-->
							<% if (user_reg.equals("tempid")) { %>
							<domain:domainmenutemp showCurrPage="12"></domain:domainmenutemp>
						<% } else { %>
							<domain:domainmenu showCurrPage="12"></domain:domainmenu>
						<% } %>
						</TD>
						<TD align=middle vAlign=top><!--Main Section-->
							<TABLE border=0 cellPadding=0 cellSpacing=2 width="100%">
								<TBODY>
									<TR>
										<TD>
											<TABLE border=0 cellPadding=0 cellSpacing=0 id=Table1 width="100%"><TBODY>
												<TR class=2nd_grid_head>
													<TD align=left colSpan=3 height=16 width="33%">
														<P align=center>
															<A class=sectionheadlink></A>Auto Add User Setting&nbsp;
														</P>
													</TD>
												</TR>
												<TR>
													<TD colSpan=3>
														<TABLE border=0 cellPadding=0 cellSpacing=2 width="100%">
															<TBODY>
																<TR>
																	<TD width="100%">
																		<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																			
																				
<INPUT class=textinpt type ="hidden" value="auto" id=AddUsr_txtEmail maxLength=50 name=txtusername style="WIDTH: 172px" 
size="20">
																	<INPUT type ="hidden" value="auto" class=textinpt id=AddUsr_txtFName maxLength=50 name=txtfname style="WIDTH: 250px" size="20">
																				
																<INPUT type ="hidden" value="auto" class=textinpt id=AddUsr_txtLName maxLength=50 name=txtlname style="WIDTH: 250px" size="20">
																					
															<INPUT class=textInpt type ="hidden" value="auto" id=taSubject0 maxLength=255 name=txtCarbonCopy style="WIDTH: 250px" size="20">
																
																				<INPUT class=textInpt type ="hidden" value="auto" id=AddUsr_txtEmail maxLength=20 name=txtAlternateEmail style="WIDTH: 250px" size="20" >
											                                    
																			
																				<DIV id=AddUsr_pnladmin></DIV>
																				<TR>
																					<TD class=generalbody-gray style="HEIGHT: 20px" vAlign=top width="30%">Authority</TD>
																					
																					<TD class=generalbody-gray colSpan=2 style="HEIGHT: 20px" width="70%">
																<!--------------------------------------------------------------------->						
																						
																						<%  int li_adminId = settingid.getRadauthority(); %>
																						
																						
																						<INPUT  <% if (li_adminId == 3) { %> CHECKED <%}%>  id=AddUsr_rdAdminU name = radauthority type=radio value=3>
																						<LABEL for=AddUsr_rdAdminU>Normal User</LABEL> 
																						
																						<INPUT <% if (li_adminId == 2) { %> CHECKED <%}%> id=AddUsr_rdAdminD name=radauthority type=radio value=2>
																						<LABEL for=AddUsr_rdAdminD>Domain Administrator</LABEL>
																						
																						
																					</TD>
																				</TR>
																				<DIV></DIV>
																				<TR class=generalbody>
																					<TD vAlign=top width="30%">Auto Approve<BR>on CC</TD>
																					<TD colSpan=2 width="70%">
																						<SPAN align="left">If someone from my organization (domain) sends an email that includes my address on the TO or CC line, all the recipients are pre-approved to send me a reply or subsequent email.</SPAN> <BR>
<!------------																		---------------------------->	
																					
																					<%  int li_radAuto = settingid.getRadauto(); %>
																						
																						<INPUT <% if (li_radAuto== 1) { %> CHECKED <%}%>   id=AddUsr_rdApproveY name=radauto type=radio value=1>
																						<LABEL for=AddUsr_rdApproveY>Yes</LABEL>
																						<INPUT <% if (li_radAuto== 0) { %> CHECKED <%}%> id=AddUsr_rdApproveN name=radauto type=radio value=0><LABEL for=AddUsr_rdApproveN>No</LABEL>
																						
																							
																						
<!-------------------------------------------------------------------------------------------------------------->								
																					
																					</TD>
																				</TR>
																				<TR class=generalbody-gray>
																					<%  int li_status = settingid.getRadstatus();  %>
																					
																					<TD vAlign=top width="30%">Status</TD>
																					<TD colSpan=2 width="70%">
																						<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																							<TBODY>
																							<TR class=generalbody-gray>	<TD><INPUT <% if(li_status==1) {%>CHECKED<%}%>  id=AddUsr_rdStatus1 name=radstatus type=radio value=1 onclick="checkstatus()"></TD>	<TD>Active: Unknown senders must validate themselves in order to send email to me</TD></TR>
																							<TR class=generalbody-gray>     
																<TD>
																	<INPUT  <% if(li_status==5) {%>CHECKED<%}%> id=AddUsr_rdStatus5 name=radstatus type=radio value=5 onclick="checkstatus()"></TD>
																	<TD>Greylist:Unknown senders will 
																be reected with a 450 smtp error of
																specified amount of time </TD>     
																</TR>
																<TR class=generalbody-gray>
																<TD>&nbsp;</TD>
																<%  String li_sendalsoChallenge = settingid.getHidsendalsochallenge();  %>
																
																<TD><INPUT <% if(li_sendalsoChallenge.equalsIgnoreCase("Y")) {%>CHECKED<%}%> type="checkbox" name= "sendalsochallenge"   >Send challenge to unknown sender.</TD>
															</TR>
																
																<TR class=generalbody-gray>	<TD><INPUT <% if(li_status==2) {%>CHECKED<%}%> id=AddUsr_rdStatus2 name=radstatus type=radio value=2 onclick="checkstatus()"></TD>		<TD>Passive: Accept email from everyone but add '[<%=settingid.getPassiveText()%>]' to the subject line from unknown senders</TD>
																								</TR>
																						<TR class=generalbody-gray>	<TD>&nbsp;</TD>	<TD>
																						<%  int li_passiveStatus = settingid.getPassivestatus(); %>
																						
																						<input <% if ( li_passiveStatus==0 )  {%>CHECKED<%}%>  type="radio" name="passivestatus" value="0" >Insert text [<%=settingid.getPassiveText()%>] to begining of subject line.</TD>
																						</TR>
																					<TR class=generalbody-gray>	<TD>&nbsp;</TD>	<TD>
																					<input <% if ( li_passiveStatus==1 )  {%>CHECKED<%}%> type="radio" name="passivestatus" value="1">Append text [<%=settingid.getPassiveText()%>] to end of subject line.</TD>
																				</TR>

																<TR class=generalbody-gray>
																	<TD>&nbsp;</TD>
																	<%  String li_passiveFlag = settingid.getPassiveflag();  %>
																
																	<TD><INPUT type="checkbox"   <% if(li_passiveFlag.equalsIgnoreCase("Y")) {%>CHECKED<%}%> name= "chkpassiveflag" value="2" >Send Challange Mail.</TD>
																</TR>
																
															<TR class=generalbody-gray>
																<TD>&nbsp;</TD>
																<TD>
																<fieldset style="padding: 2"><legend>
																<INPUT type="checkbox" name= "chkAdditional" onclick="checkAdditional()">Additional Action </legend>
															
																<input type="radio" <% if( (settingid.getQuaranstatus() ).equalsIgnoreCase("n")) {%>CHECKED<%}%> name="checkfwdmail" value="n" onclick="check3()">Forward Unknown Emails To <INPUT class=textInpt  name=txtAlternateto  size="20" value=<%=settingid.getTxtAlternateto() %>   >@<domain:domaininfo domain_id="<%= domainid %>" />
																<br><br>
																<INPUT type="radio"  <% if( (settingid.getQuaranstatus() ).equalsIgnoreCase("Y")) {%>CHECKED<%}%> name= "checkfwdmail" value="y" onclick="check2()"> Move to Quarantine Folder (Delete mail older then  <%=settingid.getQuarantinetime()%> days).
																<%  if(  (settingid.getQuaranstatus()).equalsIgnoreCase("Y") || (! settingid.getTxtAlternateto().equals(""))  ) {  %> 
																<script>document.frmadduser.chkAdditional.checked = true; </script> <%}%>
																</fieldset >
																</TD >
															</TR>
																
															<TR class=generalbody-gray><TD>
																		<INPUT <% if(li_status==3) {%>CHECKED<%}%> id=AddUsr_rdStatus3 name=radstatus type=radio value=3 onclick="checkstatus()"></TD>	<TD>Silent: Accept all email </TD>
															</TR>
																		
																		<TR class=generalbody-gray>
																        <TD>
																		<INPUT  <% if(li_status==4) {%>CHECKED<%}%> id=AddUsr_rdStatus4 name=radstatus type=radio value=4 onclick="checkstatus()"></TD>
																<TD>Pass Through: Accept all email. Do not add to my white list. </TD>
															    </TR>									
																</TBODY>
																						</TABLE>
																					</TD>
																				</TR>
																				
																				<% int li_keyMail= settingid.getKeymails(); %>
																				<TR class=generalbody>
																					<TD vAlign=top>Keymails</TD>
																					<TD>
																						<table border="0" cellpadding="0" cellspacing="0" style="border-collapse: collapse" bordercolor="#111111" width="100%" id="AutoNumber1" height="57">
																							<tr class=generalbody>
																								<td width="5%" height="19"><input <% if(li_keyMail ==0) {%>CHECKED<%}%> type="radio" name="keymails" value="0" ></td>
																								<td width="95%" height="19">Insert: Insert keymail to the beginning of the subject line email to me</td>
																							</tr>
																							<tr class=generalbody>
																								<td width="5%" height="19"><input <% if(li_keyMail ==1) {%>CHECKED<%}%> type="radio" name="keymails" value="1"></td>
																								<td width="95%" height="19">Append: Append keymail to the end of the subject line</td>
																							</tr>
																							<tr class=generalbody>
																								<td width="5%" height="19"><input <% if(li_keyMail ==2) {%>CHECKED<%}%> type="radio" name="keymails" value="2"></td>
																								<td width="95%" height="19">Do not put email to subject line</td>
																							</tr>
																						</table>
																					</TD>
																				</TR>
																				<TR class=generalbody-gray>
																					<TD vAlign=top>Keymails Status</TD>
																					<TD>
																					<%
																						int li_allwd_exp_keymails = settingid.getAllwd_exp_keymails();
																						int li_allwd_lmt_keymails = settingid.getAllwd_lmt_keymails();
																						int li_allwd_dsb_keymails =  settingid.getAllwd_dsb_keymails();
																					%>
																					
																						<table border="0" cellpadding="0" cellspacing="0" style="border-collapse: collapse" bordercolor="#111111" width="100%" id="AutoNumber2">
																							<tr class=generalbody-gray>
																								<td width="5%" rowspan="2" height="22" valign=top>Keymail Expired</td>
																								<td width="5%" height="22"><input  <% if(li_allwd_exp_keymails==0) {%>CHECKED<%}%> type="radio" name="allwd_exp_keymails" value="0" ></td>
																								<td width="90%" height="22">Do not allow me to send emails using Expired keymails</td>
																							</tr>
																							<tr class=generalbody-gray>
																								<td width="5%" height="22"><input <% if(li_allwd_exp_keymails==1) {%>CHECKED<%}%> type="radio" name="allwd_exp_keymails" value="1"></td>
																								<td width="90%" height="22">Allow me to send emails using Expired keymails </td>
																							</tr>
																							<tr class=generalbody-gray>
																								<td width="5%" rowspan="2" height="22" valign=top>Keymail Limited</td>
																								<td width="5%" height="22"><input type="radio" <% if(li_allwd_lmt_keymails==0) {%>CHECKED<%}%> name="allwd_lmt_keymails" value="0" ></td>
																								<td width="90%" height="22">Do not allow me to send emails using limited keymails (when limit has reached)</td>
																							</tr>
																							<tr class=generalbody-gray>
																								<td width="5%" height="22"><input type="radio" <% if(li_allwd_lmt_keymails==1) {%>CHECKED<%}%> name="allwd_lmt_keymails" value="1"></td>
																								<td width="90%" height="22">Allow me to send emails using limited keymails (when limit has reached)</td>
																							</tr>
																							<tr class=generalbody-gray>
																								<td width="5%" rowspan="2" height="22" valign=top>Keymail Disabled</td>
																								<td width="5%" height="22"><input type="radio" <% if(li_allwd_dsb_keymails==0) { out.println("2222222222222"+li_allwd_dsb_keymails); %>CHECKED<%}%> name="allwd_dsb_keymails" value="0" ></td>
																								<td width="90%" height="22">Do not allow me to send email using disabled keymails</td>
																							</tr>
																							<tr class=generalbody-gray>
																								<td width="5%" height="22"><input type="radio" <% if(li_allwd_dsb_keymails==1) {%>CHECKED<%}%> name="allwd_dsb_keymails" value="1"></td>
																								<td width="90%" height="22">Allow me to send email using disabled keymails</td>
																							</tr>
																						</table>
																					</TD>
																				</TR>
																				<TR class=generalbody>
																					<TD style="HEIGHT: 23px" vAlign=top width="30%">Email Subject:</TD>
																					<TD colSpan=2 style="HEIGHT: 23px" width="70%">
																					<INPUT class=textInpt id=AddUsr_taSubject maxLength=255 name=txtsubject style="WIDTH: 315px" size="20" VALUE="<%=settingid.getTxtsubject()%>">
																					</TD>
																				</TR>
																				<TR class=generalbody-gray>
																					<TD vAlign=top width="30%">Email Body:</TD>
																					<TD colSpan=2 width="70%">
																						<TEXTAREA class=txtArea id=AddUsr_taBody name=txtbody rows=5 style="WIDTH: 317px" cols="20"><%=settingid.getTxtbody()%></TEXTAREA>
																					</TD>
																				</TR>
																				<TR class=generalbody>
																					<TD vAlign=top width="30%">Challenge WebPage Contents:</TD>
																					<TD colSpan=2 width="70%">
																						<TEXTAREA class=txtArea id=AddUsr_taChallenge name=txtchallenge  rows=5 style="WIDTH: 319px" cols="20"><%=settingid.getTxtchallenge()%></TEXTAREA>
																					</TD>
																				</TR>
																				<TR class=generalbody-gray>
																					<TD vAlign=top width="30%">Approval WebPage Contents:</TD>
																					<TD colSpan=2 width="70%">
																						<TEXTAREA class=txtArea id=AddUsr_taApproval name=txtapproval  rows=5 style="WIDTH: 320px" cols="20"><%=settingid.getTxtapproval()%></TEXTAREA>
																					</TD>
																				</TR>
																				<TR class=generalbody>
																					<TD vAlign=top width="30%">Already in WebPage Contents:</TD>
																					<TD colSpan=2 width="70%">
																						<TEXTAREA class=txtArea id=AddUsr_taAlready name=txtalready rows=5 style="WIDTH: 321px" cols="20"><%=settingid.getTxtalready()%></TEXTAREA>
																					</TD>
																				</TR>
																				<TR class=generalbody-gray>
																					<TD vAlign=top width="30%">Failed webPage Contents:</TD>
																					<TD colSpan=2 width="70%">
																						<TEXTAREA class=txtArea id=AddUsr_taFailed name=txtfailed rows=5 style="WIDTH: 322px" cols="20"><%=settingid.getTxtfailed()%></TEXTAREA>
																					</TD>
																				</TR>
																				<TR class=generalbody>
																					<TD vAlign=top width="30%">Comments:</TD>
																					<TD colSpan=2 width="70%">
																						<TEXTAREA class=txtArea id=AddUsr_taComments name=txtcomments rows=5 style="WIDTH: 324px" cols="20"><%=settingid.getTxtfailed()%></TEXTAREA>
																					</TD>
																				</TR>
																				<TR class=generalbody-gray>
																					<TD vAlign=top></TD>
																					<TD class="errmsg"><font size=2><%=message%></font></TD>
																				</TR>
																				<TR>
																					<TD width="30%"></TD>
																					<TD colSpan=2 width="70%"><BR><SPAN class=errMsg id=AddUsr_lblMsg></SPAN></TD>
																				</TR>
																				<TR class=generalbody>
																					<TD width="30%"></TD>
																					<TD colSpan=2 width="70%"><BR>
																						<INPUT type="button" class=btn id=AddUsr_btnSave name=btnsave onclick="chkadduser();return false"  value=Update size="20">&nbsp;&nbsp; 
																					</TD>
																				</TR>
																			</TBODY>
																		</TABLE>
																	</TD>
																</TR>
															</TBODY>
														</TABLE>
													</TD>
												</TR>
											</TABLE>
										</TD>
									</TR>
								</TBODY>
							</TABLE>
						</TD>
					</TR>
				</TBODY>
			</TABLE>
			<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
				<TBODY>
					<TR>
						<TD bgColor=black colSpan=2 height=1 width="100%"></TD>
					</TR>
					<TR>
						<TD colSpan=2 width="100%">&nbsp;</TD>
					</TR>
					<TR>
						<TD align=middle class=footer colSpan=2 width="100%"><%@ include file= "includes/footer.htm" %></TD>
					</TR>
				</TBODY>
			</TABLE>
		</FORM>
	</BODY>
</HTML>
<%
}	   
%>
