<%
/********************************************************************************/
/* Name			:serverviewalldomains.jsp										*/
/* Copyright	:2003 SATCOMLABS LTD.											*/
/* Team			:Spam Control Team												*/
/* Developer	:Pavan Gupta													*/
/* Last Updated	:2.45 PM 08/01/2004												*/
/* Abstract		:display  entries of pre-approved senders						*/
/* Called from	:servermain.jsp													*/
/* Calls		:																*/
/********************************************************************************/
%>
<%@ taglib prefix="server" uri="/WEB-INF/TLDS/server.tld" %>
<%@ taglib prefix="spam" uri="/WEB-INF/TLDS/spamcontrollar.tld" %>
<%@ taglib prefix="utility" uri="/WEB-INF/TLDS/utility.tld" %>
<jsp:useBean id = "validate" scope="session" class="com.antispam.Authentication" />
<%
int userid = validate.getUserid();
int adminid = validate.getAdminid();
int NumRec = 10;
if(userid==0 || adminid!=1)
{
	response.sendRedirect("dashboardlogin.jsp");
}
else
{
	int viewminpage = 0;
	int viewmin = 1;
	int viewminimum = 1;

	int domainid = validate.getDomainid();
	int i=0;

	String message = "";
	if(request.getParameter("msg") != null)
	{
		message = request.getParameter("msg");
%>
<script>
	alert("Domain settings updated, Please Restart the Antispam Server");
</script>
<%
}

String orderdomain = "desc";
String columnnamedomain = "domainname";

if(request.getParameter("hidviewminpage") != null)
	viewminpage = Integer.parseInt(request.getParameter("hidviewminpage"));
if(request.getParameter("hidviewmin") != null)
	viewmin = Integer.parseInt(request.getParameter("hidviewmin"));
if(request.getParameter("hidviewminimum") != null && !request.getParameter("hidviewminimum").equals("") )
		viewminimum = Integer.parseInt(request.getParameter("hidviewminimum"));

if(request.getParameter("hidorderdomain") != null)
	orderdomain = request.getParameter("hidorderdomain");
if(request.getParameter("hidcolumndomain") != null)
	columnnamedomain = request.getParameter("hidcolumndomain");
if(request.getParameter("txtNumRec")!=null)
	NumRec = Integer.parseInt(request.getParameter("txtNumRec"));
	
%>
<HTML>
	<HEAD>
		<TITLE>View All Domains</TITLE>
		<LINK href="stylesheets/display_control.css" type=text/css rel=stylesheet>
	</HEAD>
	<SCRIPT language=javascript id=valIp src="scripts/validations.js"></SCRIPT>
	<script language="javascript">
		//FUNCTION TO CHECK DOMAIN PERSONA
		function domainPersona(domainid)
		{
			if(domainid == '<%=domainid%>')
				location.href = "domainmain.jsp?domainid="+domainid;
			else
			{
				var persona = confirm("You will assume the persona of this Domain's Administrator.Any subsequent edits to the Whitelist or Users and their related entries will be for this Domain only.Are you sure you wish to proceed? ");

				if(persona == true)
					location.href = "domainmain.jsp?domainid="+domainid;
			}
		}

		//FUNCTION TO SORT DOMAINS
		function sortDomain(order,column)
		{
			document.frmViewAllDomain.hidcolumndomain.value=column;
			document.frmViewAllDomain.hidorderdomain.value=order;
			document.frmViewAllDomain.action="serverviewalldomains.jsp";
			document.frmViewAllDomain.submit();
		}

		//FUNCTION TO SHOW NEXT 10 PAGES
		function changePage(pageno,min,pagingtype)
		{
			//alert("Min :"+min);
			if(pagingtype == "view")
			{
				document.frmViewAllDomain.hidviewminpage.value=pageno;
				document.frmViewAllDomain.hidviewmin.value=min;
				document.frmViewAllDomain.hidviewminimum.value=min;
			}


			document.frmViewAllDomain.action="serverviewalldomains.jsp";
			document.frmViewAllDomain.submit();
		}

		//FUNCTION TO SHOW NEXT PAGE
		function Page(min,max,pagingtype)
		{
			//alert("Min :"+min+", Max :"+max);
			//document.frmlog.hidminpage.value=pageno;
			//document.frmlog.hidmaximum.value=max;
			if(pagingtype == "view")
				document.frmViewAllDomain.hidviewminimum.value=min;

			document.frmViewAllDomain.hidNumRec.value=10;
			document.frmViewAllDomain.action="serverviewalldomains.jsp";
			document.frmViewAllDomain.submit();
			
		}
		function setFocus()
		{
			document.frmViewAllDomain.BtnUpdate.focus();
		}
		function deleteDomain(domainid,domainname)
		{
			var confirmation =  confirm("Confirn Delete! This will delete all the Users of "+domainname+"");
			if (confirmation == true)
				location.href="editdomain.jsp?domainid="+domainid+"&flag=DELETE&val=all"
		}
		/*function bloakDomain()
		{
			document.frmViewAllDomain.flag.value = "BLOCKDOMAIN";
			document.frmViewAllDomain.action = "editdomain.jsp";
			document.frmViewAllDomain.submit();
		}*/
	</script>
	<BODY onload="setFocus()">
		<FORM id=frmViewAllDomain name=frmViewAllDomain action="editdomain.jsp?val=all" method=post>

			<INPUT type="hidden" name="hidviewminpage" value=<%=viewminpage%>>
			<INPUT type="hidden" name="hidviewmin" value=<%=viewmin%>>
			<INPUT type="hidden" name="hidviewminimum" value=<%=viewminimum%>>
			<INPUT type="hidden" name="hidNumRec" value="<%=NumRec%>">

			<INPUT type=hidden class=textinpt name=flag value=UPDATEALL>
			<INPUT type=hidden class=textinpt name=hidcolumndomain value="<%=columnnamedomain%>">
			<INPUT type=hidden class=textinpt name=hidorderdomain value="<%=orderdomain%>">
			<TABLE cellSpacing=0 cellPadding=0 width="100%" border=0>
				<TBODY>
					<TR>
						<TD colSpan=2><!--for the header Image-->
							<TABLE cellSpacing=0 cellPadding=0 width="100%" border=0>
								<TBODY>
									<TR>
										<TD bgColor=#cecece>
											<TABLE cellSpacing=0 cellPadding=0 width="100%" border=0>
												<TBODY>
													<TR>
														<TD vAlign=top align=left width="52%"><IMG src="images/img.gif" vspace=5 width="437" height="37"></TD>
														<TD vAlign=top align=right width="48%"><IMG src="images/topbar-right.gif" width="229" height="48"></TD>
													</TR>
												</TBODY>
											</TABLE>
										</TD>
									</TR>
									<TR>
										<TD bgColor=#000000><IMG src="images/1x1.gif" width="1" height="1"></TD>
									</TR>
									<TR>
										<TD vAlign=bottom align=left bgColor=#007ccd height=37>
											<TABLE cellSpacing=0 cellPadding=0 width="100%" border=0>
												<TBODY>
													<TR>
													<% if (adminid == 1) { %>
														<TD align=left vAlign=bottom width="33%">
															<DIV class=header id=TopBanner_UserPanel>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href = "usermain.jsp">User</a></TD>
																			<TD align=right width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
														<TD width="33%">
															<DIV class=header id=TopBanner_Panel>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href = "domainmain.jsp">Domain</A></TD>
																			<TD width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
														<TD width="34%">
															<DIV class=header_active id=TopBanner_ServerPanel>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href = "servermain.jsp">Server</a></TD>
																			<TD width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
													<% } %>
													</TR>
													<TR>
														<TD colSpan=3>
															<TABLE cellSpacing=0 cellPadding=2 width="100%" border=0>
																<TBODY>
																	<TR class=blanktd>
																		<spam:UserInfo userid="<%= userid %>">
																			<TD width="90%">Logged in as: <%= username %>@<%=domainname%> on Server: <%=request.getServerName()%></TD>
																		</spam:UserInfo>
																		<TD align=right width="10%"><A class=gridrowlink href=javascript:onclick=openHelp('help/ServerViewAllDomainsHelp.htm') style="FONT-SIZE: 10px; FONT-WEIGHT: bold">Help</A></TD>
																	</TR>
																	<TR>
																		<TD bgColor=#330099 colSpan=2></TD>
																	</TR>
																</TBODY>
															</TABLE>
														</TD>
													</TR>
												</TBODY>
											</TABLE>
										</TD>
									</TR>
								</TBODY>
							</TABLE>
						</TD>
					</TR>
					<TR>
						<TD class=navbg><!--For the menu--><!--Menu for Server Admin-->
							<server:servermenu showCurrPage="5"></server:servermenu>
						</TD>
						<TD vAlign=top align=middle><!--Main Section-->
							<TABLE cellSpacing=2 cellPadding=0 width="100%" border=0>
								<TBODY>
									<TR>
										<TD>
											<TABLE id=Table1 cellSpacing=0 cellPadding=0 width="100%" border=0><TBODY>
												<TR class=2nd_grid_head>
													<TD align=middle width="100%" colSpan=2>Domains </TD>
												</TR>
												<TR>
													<TD width="100%" colSpan=2>
														<TABLE id=DomainSummary_DomainGrid style="WIDTH: 100%; BORDER-COLLAPSE: collapse" cellSpacing=0 cellPadding=1 rules=cols border=1>
															<TBODY>
																<server:serversendersheader condition="3" orderdomain="<%=orderdomain%>" columnnamedomain="<%=columnnamedomain%>" />
																<server:domainlist column="<%=columnnamedomain%>" order="<%=orderdomain%>" minimum="<%= viewminimum%>" >
<%
																if (DomainID.equals("0"))
																{}
																else
																{
																	String gridclass = "";
																	i++;
																	if (i%2 != 0)
																		gridclass = "gridrow2";
																	else
																		gridclass = "gridrow1-user";
%>
																	<TR class=<%=gridclass%>>
																		<TD style="WIDTH: 33%"><input type=hidden name=domain_id value="<%=DomainID%>">
																			<A title="Assume this domain's perosna" class=nav href="javascript:onclick=domainPersona('<%=DomainID%>')"> <%=DomainName%></a>
																		</TD>
																		<TD style="WIDTH: 20%"><%=SMTPIP%></TD>
																		<TD style="WIDTH: 20%"><%=POP3IP%></TD>
																		<TD style="WIDTH: 15%" noWrap align=middle>
																			<% if(ValidationType.equalsIgnoreCase("smtp")) { %>
																				<INPUT class=radio checked name="radValidation<%=i%>" title="SMTP" type="radio" value=SMTP>S
																				<INPUT class=radio name="radValidation<%=i%>" title="BOUNCE" type="radio" value=Bounce>B
																				<INPUT class=radio name="radValidation<%=i%>" title="FORWARD" type="radio" value=Forward>F
																			<% } else if(ValidationType.equalsIgnoreCase("bounce")) { %>
																				<INPUT class=radio name="radValidation<%=i%>" title="SMTP" type="radio" value=SMTP>S
																				<INPUT class=radio checked name="radValidation<%=i%>" title="BOUNCE" type="radio" value=Bounce>B
																				<INPUT class=radio name="radValidation<%=i%>" title="FORWARD" type="radio" value=Forward>F
																			<% } else if(ValidationType.equalsIgnoreCase("forward")) { %>
																				<INPUT class=radio name="radValidation<%=i%>" title="SMTP" type="radio" value=SMTP>S
																				<INPUT class=radio name="radValidation<%=i%>" title="BOUNCE" type="radio" value=Bounce>B
																				<INPUT class=radio checked name="radValidation<%=i%>" title="FORWARD" type="radio" value=Forward>F
																			<% } %>
																		</TD>
																		<TD style="WIDTH: 5%"><A href="serverdomainsettings.jsp?val=<%=DomainID%>&from=S">Edit</A></TD>
																		<% if (Integer.parseInt(DomainID) == validate.getDomainid()) { %>
																			<TD style="WIDTH: 7%"></TD>
																		<% } else { %>
																			<TD style="WIDTH: 7%" align=middle><IMG alt=Delete border=0 src="images/delete.gif" width="12" height="12" onclick="deleteDomain('<%=DomainID%>','<%=DomainName%>')" style="cursor:hand"></TD>
																		<% } %>
																		<% if(BlockIncoming.equalsIgnoreCase("YES")) { %>
																			<TD style="WIDTH: 5%"><INPUT name="chkBlockIn" type="checkbox" value="<%=DomainID%>" checked></TD>
																		<% } else { %>
																			<TD style="WIDTH: 5%"><INPUT name="chkBlockIn" type="checkbox" value="<%=DomainID%>"></TD>
																		<% } %>
																	</TR>
<%
																}
%>
																</server:domainlist>
																<%  int viewrecords = Exprview.intValue();%>
																<tr class='footer' align='Right' style='font-weight:bold;'>
																	<td colspan='7' >
																		<utility:paging totalrecords="<%=viewrecords%>" minpage="<%=viewminpage%>" min="<%=viewmin%>" 
																		pagingtype="view"
																		txtNumRec="<%=NumRec%>"/>
																	</td>
																</tr>
															</TBODY>
														</TABLE>
													</TD>
												</TR>
												<TR>
													<TD width="100%" colSpan=2>
														<TABLE cellSpacing=0 cellPadding=0 width="100%" border=0>
															<TBODY>
																<TR>
																	<TD align=middle height=7></TD>
																</TR>
																<TR>
																	<TD vAlign=top align=middle height=20><SPAN class=errMsg id=lblMsg><%=message%></SPAN><BR></TD>
																</TR>
																<TR>
																	<TD align=middle>
																		<INPUT class=btn id=BtnUpdate type=submit value="Save Changes" name=BtnUpdate> 
																		<!--<INPUT class=btn id=BtnBlock type=button value="Block Incoming" name=BtnBlock onclick="bloakDomain()">-->
																	</TD>
																</TR>
															</TBODY>
														</TABLE>
													</TD>
												</TR>
											</TBODY>
										</TABLE>
									</TD>
								</TR>
							</TBODY>
						</TABLE>
					</TD>
				</TR>
			</TBODY>
		</TABLE>
		<TABLE cellSpacing=0 cellPadding=0 width="100%" border=0>
			<TBODY>
				<TR>
					<TD width="100%" bgColor=black colSpan=2 height=1></TD>
				</TR>
				<TR>
					<TD colSpan=2 width="100%">&nbsp;</TD>
				</TR>
				<TR>
					<TD align=middle class=footer colSpan=2 width="100%"><%@ include file= "includes/footer.htm" %></TD>
				</TR>
			</TBODY>
		</TABLE>
		<INPUT type=hidden name=count value=<%=i%>></FORM>
	</BODY>
</HTML>
<%
}
%>