<%
/********************************************************************************/
/* Name			:	viewkeymails.jsp											*/
/* Copyright	:	2003 SATCOMLABS LTD.										*/
/* Team			:	Spam Control Team											*/
/* Developer	:	Pavan Gupta													*/
/* Last Updated	:	1.35 PM 10/01/2004											*/
/* Abstract		:	Shows list of all keymails									*/
/* Called from	: 	dashboard													*/
/* Calls		:																*/
/********************************************************************************/
%>
<%@ taglib prefix="spam" uri="/WEB-INF/TLDS/spamcontrollar.tld" %>
<%@ taglib prefix="utility" uri="/WEB-INF/TLDS/utility.tld" %>
<jsp:useBean id = "validate" scope="session" class="com.antispam.Authentication" />
<%
int loginuserid = validate.getUserid();
int NumRec = 10;

if(loginuserid==0)
{
	response.sendRedirect("dashboardlogin.jsp");
}
else
{
	int keyrecords = 0;
	int userid = 0;
	int tempuserid = validate.getTempuserid();
	int adminid = validate.getAdminid();
	int i = 0;
	String gridclass = "";
	String message = "";
	String clicked = "";

	if (request.getParameter("returnval") != null)
		message = request.getParameter("returnval");

	if(tempuserid == 0)
		userid = loginuserid;
	else 
		userid = tempuserid;

	int keyminpage = 0;
	int keymin = 1;
	int keyminimum = 1;
	if(request.getParameter("hidkeyminpage") != null  && !request.getParameter("hidkeyminpage").equals(""))
			keyminpage = Integer.parseInt(request.getParameter("hidkeyminpage"));
	if(request.getParameter("hidkeymin") != null  && !request.getParameter("hidkeymin").equals(""))
			keymin = Integer.parseInt(request.getParameter("hidkeymin"));
	if(request.getParameter("hidkeyminimum") != null && !request.getParameter("hidkeyminimum").equals(""))
			keyminimum = Integer.parseInt(request.getParameter("hidkeyminimum"));

	String order = "desc";
	String columnname = "creation_date";
	if(request.getParameter("hidorder") != null)
		order = request.getParameter("hidorder");
	if(request.getParameter("hidcolumn") != null)
		columnname = request.getParameter("hidcolumn");
if(request.getParameter("hidNumRec")!=null)
	NumRec = Integer.parseInt(request.getParameter("hidNumRec"));

	if(request.getParameter("hidclicked") != null)
		clicked = request.getParameter("hidclicked");
%>
<HTML>
	<HEAD>
		<TITLE>View All Keymails</TITLE>
		<LINK href="stylesheets/display_control.css" rel=stylesheet type=text/css>
	</HEAD>
	<!-- START SCRIPT -->
	<SCRIPT language=javascript src="scripts/validations.js"></SCRIPT>
	<SCRIPT language=javascript>
		// SUBMIT THE FORM FOR UPDTATION OF SCOPE
		function submitUpdate(keymailid)
		{
			document.frmviewall.action = "updatekeymail.jsp?keymailid="+keymailid;
			document.frmviewall.submit();
		}

		//SUBMIT THE FORM FOR DELETE KEYMAILS
		// THIS FUNCTION ALSO CHECK THAT AT LEAST ONE CHECKBOX SHOULD BE SELECTED
		function submitDelete()
		{
			recordcount = document.frmviewall.txtcount.value;
			var flag=false;
			if(recordcount == 0)
				alert ("No Record To Delete");
			else
			{
				document.frmviewall.action = "interaddkeymail.jsp";
				var chkid = document.frmviewall.chkkeymailid;
				var flag=false;
				if(recordcount == 1)
				{
					if(chkid.checked == 1)
						flag = true;
				}
				else if (recordcount > 1)
				{
					for(i=0; i<chkid.length; i++)
					{
						if(chkid[i].checked == 1)
						{
							flag=true;
							break;
						}
					}
				}
				if(flag==false)
					alert("Please check at least one record");
				else
					document.frmviewall.submit();
			}
		}

		//FUNCTION FOR SORTING
		function sort(order,column)
		{
			document.frmviewall.hidcolumn.value=column;
			document.frmviewall.hidorder.value=order;
			document.frmviewall.action="viewkeymails.jsp";
			document.frmviewall.submit();
		}

		//FUNCTION TO SHOW NEXT 10 PAGES
		function changePage(pageno,min,pagingtype)
		{
			document.frmviewall.hidkeyminpage.value=pageno;
			document.frmviewall.hidkeymin.value=min;
			document.frmviewall.hidkeyminimum.value=min;
			document.frmviewall.action="viewkeymails.jsp";
			document.frmviewall.submit();
		}

		//FUNCTION TO SHOW NEXT PAGE
		function Page(min,max,pagingtype)
		{
			document.frmviewall.hidkeyminimum.value=min;
			document.frmviewall.hidclicked.value=pagingtype;
			document.frmviewall.hidNumRec.value=10;
			document.frmviewall.action="viewkeymails.jsp";
			document.frmviewall.submit();
		}

		//FUNCTION TO SET DEFAULT FOCUS
		function setFocus()
		{
			document.frmviewall.cmdDelete.focus();
		}

		// FUNCTION FOR DELETING ALL RECORDS
		function checkAllDelete()
		{
			var i;
			recordcount = document.frmviewall.txtcount.value;
			if(recordcount == 0)
			{}
				//chkall.style.display = 'none';
			else
			{
				var alldelete = document.frmviewall.chkkeymailid;
				if(recordcount == 1)
				{
					if(document.frmviewall.chkalldelete.checked)
						alldelete.checked = true;
					else
						alldelete.checked = false;
				}
				else
				{
					if(document.frmviewall.chkalldelete.checked)
					{
						for(i=0; i<alldelete.length; i++)
						{
							alldelete[i].checked = true;
						}
					}
					else
					{
						for(i=0; i<alldelete.length; i++)
						{
							alldelete[i].checked = false;
						}
					}
				}
			}
		}

	</SCRIPT>
	<!-- END SCRIPT -->
	<BODY onload="setFocus()">
		<FORM method=post name=frmviewall>
			<INPUT type="hidden" name="hidkeyminpage" value=<%=keyminpage%>>
			<INPUT type="hidden" name="hidkeymin" value=<%=keymin%>>
			<INPUT type="hidden" name="hidkeyminimum" value=<%=keyminimum%>>
			<INPUT type=hidden name=flag value="DELETE">
			<INPUT type=hidden name=update value="UPDATE">
			<INPUT type=hidden name=hidcolumn value="<%=columnname%>">
			<INPUT type=hidden name=hidorder value="<%=order%>">
			<INPUT type="hidden" name="hidNumRec" value="<%=NumRec%>">
			<INPUT type="hidden" name="hidclicked" value="<%=clicked%>">
			<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
				<TBODY>
					<TR>
						<TD colSpan=2><!--for the header Image-->
							<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
								<TBODY>
									<TR>
										<TD bgColor=#cecece>
											<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
												<TBODY>
													<TR>
														<TD align=left vAlign=top width="52%"><img border="0" src="images/img.gif" width="436" height="48"></TD>
														<TD align=right vAlign=top width="48%"><IMG src="images/topbar-right.gif" width="229" height="48"></TD>
													</TR>
												</TBODY>
											</TABLE>
										</TD>
									</TR>
									<TR>
										<TD bgColor=#000000><IMG height=1 src="View All Keymails_files/1x1.gif" width=1></TD>
									</TR>
									<TR>
										<TD align=left bgColor=#007ccd height=37 vAlign=bottom>
											<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
												<TBODY>
													<TR>
													<% if (adminid == 1) { %>
														<TD align=left vAlign=bottom width="33%">
															<DIV class=header_active id=TopBanner_UserPanel>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href = "usermain.jsp">User</a></TD>
																			<TD align=right width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
														<TD width="33%">
															<DIV class=header id=TopBanner_Panel>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href = "domainmain.jsp">Domain</A></TD>
																			<TD width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
														<TD width="34%">
															<DIV class=header id=TopBanner_ServerPanel>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href = "servermain.jsp">Server</a></TD>
																			<TD width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
													<% } else if (adminid == 2) { %>
														<TD align=left vAlign=bottom width="33%">
															<DIV class=header_active id=TopBanner_UserPanel>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href = "usermain.jsp">User</a></TD>
																			<TD align=right width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
														<TD width="33%">
															<DIV class=header id=TopBanner_DomainPanel>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href = "domainmain.jsp">Domain</A></TD>
																			<TD width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
														<TD width="34%"></TD>
													<% } else if (adminid == 3) { %>
														<TD align=left vAlign=bottom width="33%">
															<DIV class=header_active id=TopBanner_UserPanel>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href = "usermain.jsp">User</a></TD>
																			<TD align=right width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
														<TD width="33%"></TD>
														<TD width="34%"></TD>
													<% } %>
													</TR>
													<TR>
														<TD colSpan=3>
															<TABLE border=0 cellPadding=2 cellSpacing=0 width="100%">
																<TBODY>
																	<TR class=blanktd>
																		<TD width="90%">
																			<spam:UserInfo userid="<%= loginuserid %>">
																				Logged in as: <%= username %>@<%=domainname%>
																			</spam:UserInfo>
																			<% if (userid != loginuserid) { %>
																				<spam:UserInfo userid="<%= tempuserid %>">
																					<%
																					if (username.equals("0"))
																					{}
																					else
																					{
																					%>
																						and working as: <%= username %>@<%=domainname%>
																					<%
																					}
																					%>
																				</spam:UserInfo>
																			<% } %>
																		</TD>
																		<TD align=right width="10%"><A class=gridrowlink href=javascript:onclick=openHelp('help/AllKeymailsHelp.htm') style="FONT-SIZE: 10px; FONT-WEIGHT: bold">Help</A></TD>
																	</TR>
																	<TR>
																		<TD bgColor=#330099 colSpan=2></TD>
																	</TR>
																</TBODY>
															</TABLE>
														</TD>
													</TR>
												</TBODY>
											</TABLE>
										</TD>
									</TR>
								</TBODY>
							</TABLE>
						</TD>
					</TR>
					<TR>
						<TD class=navbg><!--For the menu--><!--Menu for User-->
							<spam:usermenu showCurrPage="10"></spam:usermenu>
						</TD>
						<TD align=middle vAlign=top><!--Main Section-->
							<TABLE border=0 cellPadding=2 cellSpacing=0 id=Tble1 width="100%">
								<TBODY>
									<TR>
										<TD>
											<TABLE border=0 cellPadding=0 cellSpacing=0 id=Table1 width="100%"><TBODY>
												<TR class=2nd_grid_head>
													<TD align=left width="33%"><a class="sectionheadlink" href="addkeymail.jsp">Add Keymail</a></TD>
													<TD width="33%">Viewing All Keymails</TD>
													<TD width="33%">&nbsp;</TD>
												</TR>
												<TR>
													<TD colSpan=3>
														<TABLE border=1 cellPadding=0 cellSpacing=0 id=KeyMailGrid_Keymails rules=cols style="BORDER-COLLAPSE: collapse; WIDTH: 100%">
															<TBODY>
																<TR class=2nd_griditem_head-green style="FONT-WEIGHT: bold">
																	<TD style="WIDTH: 25%">
																		<%if ((columnname.equals("keymailid")) && (order.equals("desc"))) { %>
																			<a href="javascript:onclick=sort('asc','keymailid')">Keymail<IMG border=0 src="images/sort_down_on.gif" width="7" height="4"></IMG></a>
																		<% } else if ((columnname.equals("keymailid")) && (order.equals("asc"))) { %>
																			<a href="javascript:onclick=sort('desc','keymailid')">Keymail<IMG border=0 src="images/sort_up_on.gif" width="7" height="4"></IMG></a>
																		<% } else { %>
																			<a href="javascript:onclick=sort('desc','keymailid')">Keymail</a>
																		<% } %>
																	</TD>
																	<TD style="WIDTH: 15%">
																		<%if ((columnname.equals("creation_date")) && (order.equals("desc"))) { %>
																			<a href="javascript:onclick=sort('asc','creation_date')">Creation Date<IMG border=0 src="images/sort_down_on.gif" width="7" height="4"></IMG></a>
																		<% } else if ((columnname.equals("creation_date")) && (order.equals("asc"))) { %>
																			<a href="javascript:onclick=sort('desc','creation_date')">Creation Date<IMG border=0 src="images/sort_up_on.gif" width="7" height="4"></IMG></a>
																		<% } else { %>
																			<a href="javascript:onclick=sort('desc','creation_date')">Creation Date</a>
																		<% } %>
																	</TD>
																	<TD style="WIDTH: 14%">
																		<%if ((columnname.equals("expiration_days")) && (order.equals("desc"))) { %>
																			<a href="javascript:onclick=sort('asc','expiration_days')">Expires<IMG border=0 src="images/sort_down_on.gif" width="7" height="4"></IMG></a>
																		<% } else if ((columnname.equals("expiration_days")) && (order.equals("asc"))) { %>
																			<a href="javascript:onclick=sort('desc','expiration_days')">Expires<IMG border=0 src="images/sort_up_on.gif" width="7" height="4"></IMG></a>
																		<% } else { %>
																			<a href="javascript:onclick=sort('desc','expiration_days')">Expires</a>
																		<% } %>
																	</TD>
																	<TD style="WIDTH: 14%">
																		<%if ((columnname.equals("approvalid")) && (order.equals("desc"))) { %>
																			<a href="javascript:onclick=sort('asc','approvalid')">Scope<IMG border=0 src="images/sort_down_on.gif" width="7" height="4"></IMG></a>
																		<% } else if ((columnname.equals("approvalid")) && (order.equals("asc"))) { %>
																			<a href="javascript:onclick=sort('desc','approvalid')">Scope<IMG border=0 src="images/sort_up_on.gif" width="7" height="4"></IMG></a>
																		<% } else { %>
																			<a href="javascript:onclick=sort('desc','approvalid')">Scope</a>
																		<% } %>
																	</TD>
																	<TD style="WIDTH: 5%">Exp Type</TD>
																	<TD style="WIDTH: 5%">Exp Days</TD>
																	<TD style="WIDTH: 5%">Limit</TD>
																	<TD style="WIDTH: 5%">Used</TD>
																	<TD style="WIDTH: 5%">Edit</TD>
																	<TD style='WIDTH: 7%'><p align="center"><INPUT class=chbox type=checkbox name=chkalldelete onclick="checkAllDelete()"><br>Delete All</p></TD>
																</TR>
																<spam:KeymailInfo minimum="<%=keyminimum%>" userid="<%= userid %>" noofrec="0" keymailstatus="all" column="<%=columnname%>" order="<%=order%>">
<%
																if (keymailid.equals("0")) 
																{}
																else
																{
																	i++;
																	if (i%2 != 0)
																		gridclass = "gridrow2";
																	else
																		gridclass = "gridrow1-green";
%>
																	<TR class="<%=gridclass%>">
																		<TD style="WIDTH: 25%"><A href="keymaildetails.jsp?val=<%= keymailid %>" style="FONT-SIZE: 100%; FONT-WEIGHT: normal"><%= keymailid %></A></TD>
																		<TD style="WIDTH: 15%"><%= creationdate %></TD>
																		<% if (Integer.parseInt(expirationdays) < 0) { %>
																			<TD style="WIDTH: 14%">Never Expires</TD>
																		<% } else { %>
																			<TD style="WIDTH: 14%"><%= expirationdate %></TD>
																		<% } %>

																		<TD style="WIDTH: 14%">
																			<% if (Integer.parseInt(approvalid) ==1) { %>
																				<INPUT class=linkbtn name=cmdSave onclick="submitUpdate('<%= keymailid %>')" title="Apply policy to this email address only" type=submit value=E disabled>
																				<INPUT class=linkbtn name=cmdSave onclick="submitUpdate('<%= keymailid %>')" title="Apply policy to the entire domain (organization)" type=submit value=D>
																				<INPUT class=linkbtn name=cmdSave onclick="submitUpdate('<%= keymailid %>')" title="Apply policy to the domain AND any subdomains" type=submit value=S>
																			<% } else if (Integer.parseInt(approvalid) ==2) { %>
																				<INPUT class=linkbtn name=cmdSave onclick="submitUpdate('<%= keymailid %>')" title="Apply policy to this email address only" type=submit value=E>
																				<INPUT class=linkbtn name=cmdSave onclick="submitUpdate('<%= keymailid %>')" title="Apply policy to the entire domain (organization)" type=submit value=D disabled>
																				<INPUT class=linkbtn name=cmdSave onclick="submitUpdate('<%= keymailid %>')" title="Apply policy to the domain AND any subdomains" type=submit value=S>	
																			<% } else if (Integer.parseInt(approvalid) ==3) { %>
																				<INPUT class=linkbtn name=cmdSave onclick="submitUpdate('<%= keymailid %>')" title="Apply policy to this email address only" type=submit value=E>
																				<INPUT class=linkbtn name=cmdSave onclick="submitUpdate('<%= keymailid %>')" title="Apply policy to the entire domain (organization)" type=submit value=D>
																				<INPUT class=linkbtn name=cmdSave onclick="submitUpdate('<%= keymailid %>')" title="Apply policy to the domain AND any subdomains" type=submit value=S disabled>
																			<% } %>
																		</TD>
																		<TD style="WIDTH: 5%"><%= expirationtype %></TD>
																		<% if (Integer.parseInt(expirationdays) < 0) { %>
																			<TD style="WIDTH: 5%">N/A</TD>
																		<% } else { %>
																			<TD style="WIDTH: 5%"><%= expirationdays %></TD>
																		<% } %>
																		<% if (Integer.parseInt(maxlimit) < 0) { %>
																			<TD style="WIDTH: 5%">N/A</TD>
																		<% } else { %>
																			<TD style="WIDTH: 5%"><%= maxlimit %></TD>
																		<% } %>
																		<TD style="WIDTH: 5%"><%= usedlimit %></TD>
																		<TD style="WIDTH: 5%"><A href="editkeymail.jsp?val=<%= keymailid %>">Edit</A></TD>
																		<TD style="WIDTH: 7%"  align=middle><INPUT type=checkbox name=chkkeymailid value=<%= keymailid %> ></TD>
																	</TR>
<%
																}
%>
																</spam:KeymailInfo>
																<% keyrecords = Exprkey.intValue(); %>
																<TR class='footer' align='Right' style='font-weight:bold;'>
																	<TD colspan='10' >
																		<utility:paging totalrecords="<%=keyrecords%>" minpage="<%=keyminpage%>" min="<%=keymin%>" pagingtype="key" 
																		clicked ="<%=clicked%>"
																		txtNumRec="<%=NumRec%>"/>
																	</TD>
																</TR>
															</TBODY>
														</TABLE>
														<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
															<TBODY>
																<TR>
																	<TD align=middle height=19 style="HEIGHT: 19px"></TD>
																</TR>
																<TR>
																	<TD align=middle height=20 vAlign=top><BR></TD>
																</TR>
																<TR>
																	<TD align=middle height=20 vAlign=top><font size=2 color=red><%=message%></font></TD>
																</TR>
																<TR>
																	<TD align=middle>
																		<INPUT class=Btn name=cmdDelete onclick="submitDelete();return false" type=submit value="Delete Checked"> 
																	</TD>
																</TR>
															</TBODY>
														</TABLE>
													</TD>
												</TR>
											</TABLE>
										</TD>
									</TR>
								</TBODY>
							</TABLE>
						</TD>
					</TR>
				</TBODY>
			</TABLE>
			<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
				<TBODY>
					<TR>
						<TD bgColor=black colSpan=2 height=1 width="100%"></TD>
					</TR>
					<TR>
						<TD colSpan=2 width="100%">&nbsp;</TD>
					</TR>
					<TR>
						<TD align=middle class=footer colSpan=2 width="100%"><%@ include file= "includes/footer.htm" %></TD>
					</TR>
				</TBODY>
			</TABLE>
			<INPUT class=textInpt type=hidden name=txtcount value=<%=i%>>
		</FORM>
	</BODY>
</HTML>
<%
}
%>