package com.antispam;

import com.DBConnection;

public class AslCount
{
	DBConnection dbconn = new DBConnection ();

    private int preapprovedCount = 0;
    private int unvalidateCount = 0;
    private int validateCount = 0;
	private int keymalCount = 0;
	private int aliasCount = 0;

		
    public int getPreapprovedCount( )
	{
		return preapprovedCount;      
	}      
	
    public int getUnvalidateCount( )
	{
		return unvalidateCount;      
	}
	
	public int getValidateCount( )
	{
		return validateCount;      
	}

	public int getKeymalCount( )
	{
		return keymalCount;      
	}

	public int getAliasCount( )
	{
		return aliasCount;      
	}


	public void AslEntryFetch (int tempUserid ) 
    {
		String retVal = "No Error";
	      
		java.sql.Connection conn = null;
		java.sql.Statement smt = null;
	    java.sql.ResultSet rs = null;
		String Sql = null;

		try
		{
			conn = dbconn.getConnection();
			smt = conn.createStatement();

			// Count the Number of Pre-Approved Entry for the above Userid 
			Sql = "SELECT COUNT(*) FROM ASL WHERE USERID="+tempUserid+" AND CONDITIONID = 1 and CR_DATE IS NULL";
			rs = smt.executeQuery(Sql);
			if ( rs.next() )
			{
				//domainExists = true;
				preapprovedCount = rs.getInt(1);
				rs.close();
			}

			// Count the Number of Validated Entry for the above Userid
			Sql = "SELECT COUNT(*) FROM ASL WHERE USERID="+tempUserid+" AND CONDITIONID = 1 and CR_DATE IS NOT NULL";
			rs = smt.executeQuery(Sql);
			if ( rs.next() )
			{
				validateCount = rs.getInt(1);
				rs.close();
			}

			// Count the Number of UnValidated Entry for the above Userid
			Sql = "SELECT COUNT(*) FROM ASL WHERE USERID="+tempUserid+" AND CONDITIONID = 3";
			rs = smt.executeQuery(Sql);
			if ( rs.next() )
			{
				unvalidateCount = rs.getInt(1);
				rs.close();
			}

			// Count the Number of Keymails Entry for the above Userid
			Sql = "SELECT COUNT(*) FROM KEYMAILS WHERE USERID=" + tempUserid ;
			rs = smt.executeQuery(Sql);
			if ( rs.next() )
			{
				keymalCount = rs.getInt(1);
				rs.close();
			}

			// Count the Number of Keymails Entry for the above Userid
			Sql = "SELECT COUNT(*) FROM ALIAS WHERE USERID=" + tempUserid ;
			rs = smt.executeQuery(Sql);
			if ( rs.next() )
			{
				aliasCount = rs.getInt(1);
				rs.close();
			}

		}
		catch (java.sql.SQLException sqle)
		{	
			System.out.println("SQLE Exception-->"+sqle);
			retVal=sqle.toString(); 
		}
		
		catch ( Exception e )
		{	
			System.out.println("Exception-->"+e);
			retVal=e.toString();
		}
		
		finally
		{
			try 
			{
				smt.close();
				conn.close();
			} 
			catch ( Exception ignored ) 
				{ }
		}
	}
}
