package com;
import java.io.*;
import java.util.*;

public class PerformanceLog
{
	//public String mailSummary(String MailType, int Duration, int Interval, Date FromDate, Date ToDate, int FromTime, int ToTime, String Service)
	public String mailSummary(String MailType, int Duration, int Interval, Date FromDate, Date ToDate, int FromTime, int ToTime)
	{
		boolean MntFlag = true, Flag = false;
		float Average = 0, Min = 1000, Max = 0, Total = 0;
		int CurrentTime = 0, PreviousTime = 0, LogTime = 0, I = 0, J = 0;
		String Summary = "", ReturnVal = "", FilePath = "";
		Date LogDate = new Date();
		float MailSummary[][] = new float[Duration][2];
		float DataArray[] = new float[Duration];
		
		try
		{
			//if(Service.equalsIgnoreCase("TitanKey"))
				FilePath = "/var/antispam.log";
			//else if(Service.equalsIgnoreCase("Typhoon"))
				//FilePath = "/home/orion/Typhoon2.0/WEB-INF/classes/TyphoonClasses/TyphoonLog.txt";
			File file = new File(FilePath);
			FileReader FrSummary = new FileReader(file);
			BufferedReader BrSummary = new BufferedReader(FrSummary);
			while(( Summary = BrSummary.readLine()) != null)
			{
				if(Summary.indexOf("[APPLICATION]") != -1)
					Flag = true;
				if(Flag)
				{
					if(Summary.length() == 0)	{}
					else if(Summary.indexOf("Mx Record not Found Challenge") != -1)	{}
					else
					{
						LogDate = new Date(Summary.substring(0, 10));
						LogTime = (Integer.parseInt(Summary.substring(11, 13)) * 60) + Integer.parseInt(Summary.substring(14, 16));
					}
				}
				if((LogDate.after(FromDate) && LogDate.before(ToDate)) || (LogDate.equals(FromDate) && LogTime>=FromTime && LogTime<=ToTime) || (LogDate.equals(ToDate) && LogTime>=FromTime && LogTime<=ToTime) || (LogDate.equals(FromDate) && LogDate.before(ToDate) && LogTime>=FromTime) || (LogDate.after(FromDate) && LogDate.equals(ToDate) && LogTime<=ToTime))
				{
					if(Summary.indexOf(MailType) != -1)
					{
						if(MntFlag == true)
						{
							CurrentTime = LogTime;
							PreviousTime = CurrentTime;
							MailSummary[I][0] = LogTime;
							MailSummary[I][1] = 0;
							MntFlag = false;
						}
						PreviousTime = CurrentTime;
						CurrentTime = LogTime;
						if (PreviousTime == CurrentTime)
							MailSummary[I][1] = MailSummary[I][1] + 1;
						else
						{
							I++;
							MailSummary[I][0] = CurrentTime;
							MailSummary[I][1] = 1;
						}
						Total = Total+1;
					}
				}
			}
			for(I = 0; I < (Duration - Duration%Interval); I = I + Interval)
			{
				for(J = 0; J < Interval; J++)
				{
					DataArray[I / Interval] = DataArray[I / Interval] + MailSummary[I+J][1];
				}
				if(DataArray[I / Interval] < Min)
					Min = DataArray[I / Interval];
				if(DataArray[I / Interval] > Max)
					Max = DataArray[I / Interval];
			}
			Average = Total/(Duration/Interval);
		}
		catch(Exception e)	{}
		ReturnVal = Min +","+ Max +"#"+ Total +"$"+((Average+"00").substring(0,(Average+"00").indexOf(".")+3));
		return ReturnVal;
	}
	/*public String performanceSummary(String MailType, int Duration, int Interval, Date FromDate, Date ToDate, int FromTime, int ToTime, String Service)
	{
		boolean Flag = false;
		int LogTime = 0, PerformanceCount = 0;
		float Average = 0, PerformanceSummary = 0, PerformanceMin = 1000, PerformanceMax = 0;
		String Summary = "", ReturnVal = "", FilePath = "";
		Date LogDate = new Date();

		try
		{
			if(Service.equalsIgnoreCase("TitanKey"))
				FilePath = "/var/antispam.log";
			else if(Service.equalsIgnoreCase("Typhoon"))
				FilePath = "/home/orion/Typhoon2.0/WEB-INF/classes/TyphoonClasses/TyphoonLog.txt";
			File file = new File(FilePath);
			FileReader FrSummary = new FileReader(file);
			BufferedReader BrSummary = new BufferedReader(FrSummary);
			while(( Summary = BrSummary.readLine()) != null)
			{
				if(Summary.indexOf("[APPLICATION]") != -1)
					Flag = true;
				if(Flag)
				{
					if(Summary.length() == 0)	{}
					else if(Summary.indexOf("Mx Record not Found Challenge") != -1)	{}
					else
					{
						LogDate = new Date(Summary.substring(0, 10));
						LogTime = (Integer.parseInt(Summary.substring(11, 13)) * 60) + Integer.parseInt(Summary.substring(14, 16));
					}
				}
				if((LogDate.after(FromDate) && LogDate.before(ToDate)) || (LogDate.equals(FromDate) && LogTime>=FromTime && LogTime<=ToTime) || (LogDate.equals(ToDate) && LogTime>=FromTime && LogTime<=ToTime) || (LogDate.equals(FromDate) && LogDate.before(ToDate) && LogTime>=FromTime) || (LogDate.after(FromDate) && LogDate.equals(ToDate) && LogTime<=ToTime))
				{
					if(Summary.indexOf(MailType) != -1)
					{
						if(MailType.equals("[UTILISATION PROCESSOR]"))
						{
							if(Float.parseFloat(Summary.substring(Summary.indexOf("[UTILISATION PROCESSOR][") + 24, Summary.indexOf("[UTILISATION PROCESSOR][") + 28)) < PerformanceMin)
								PerformanceMin = Float.parseFloat(Summary.substring(Summary.indexOf("[UTILISATION PROCESSOR][") + 24, Summary.indexOf("[UTILISATION PROCESSOR][") + 28));
							if(Float.parseFloat(Summary.substring(Summary.indexOf("[UTILISATION PROCESSOR][") + 24, Summary.indexOf("[UTILISATION PROCESSOR][") + 28)) > PerformanceMax)
								PerformanceMax = Float.parseFloat(Summary.substring(Summary.indexOf("[UTILISATION PROCESSOR][") + 24, Summary.indexOf("[UTILISATION PROCESSOR][") + 28));
							PerformanceSummary = PerformanceSummary + Float.parseFloat(Summary.substring(Summary.indexOf("[UTILISATION PROCESSOR][") + 24, Summary.indexOf("[UTILISATION PROCESSOR][") + 28));
							PerformanceCount++;
						}
						if(MailType.equals("[UTILISATION MEMORY]"))
						{
							if((Float.parseFloat(Summary.substring(Summary.indexOf("MemFree:") + 10, Summary.length() - 4)) / 1000) < PerformanceMin)
								PerformanceMin = (Float.parseFloat(Summary.substring(Summary.indexOf("MemFree:") + 10, Summary.length() - 4)) / 1000);
							if((Float.parseFloat(Summary.substring(Summary.indexOf("MemFree:") + 10, Summary.length() - 4)) / 1000) > PerformanceMax)
								PerformanceMax = (Float.parseFloat(Summary.substring(Summary.indexOf("MemFree:") + 10, Summary.length() - 4)) / 1000);
							PerformanceSummary = PerformanceSummary + (Float.parseFloat(Summary.substring(Summary.indexOf("MemFree:") + 10, Summary.length() - 4)) / 1000);
							PerformanceCount++;
						}
						if(MailType.equals("[INBOUND]"))
						{
							if((Float.parseFloat(Summary.substring(Summary.indexOf("[INBOUND][") + 10, Summary.length() - 1))) < PerformanceMin)
								PerformanceMin = (Float.parseFloat(Summary.substring(Summary.indexOf("[INBOUND][") + 10, Summary.length() - 1)));
							if((Float.parseFloat(Summary.substring(Summary.indexOf("[INBOUND][") + 10, Summary.length() - 1))) > PerformanceMax)
								PerformanceMax = (Float.parseFloat(Summary.substring(Summary.indexOf("[INBOUND][") + 10, Summary.length() - 1)));
							PerformanceSummary = PerformanceSummary + (Float.parseFloat(Summary.substring(Summary.indexOf("[INBOUND][") + 10, Summary.length() - 1)));
							PerformanceCount++;
						}
						if(MailType.equals("[OUTBOUND]"))
						{
							if((Float.parseFloat(Summary.substring(Summary.indexOf("[OUTBOUND][") + 11, Summary.length() - 1))) < PerformanceMin)
								PerformanceMin = (Float.parseFloat(Summary.substring(Summary.indexOf("[OUTBOUND][") + 11, Summary.length() - 1)));
							if((Float.parseFloat(Summary.substring(Summary.indexOf("[OUTBOUND][") + 11, Summary.length() - 1))) > PerformanceMax)
								PerformanceMax = (Float.parseFloat(Summary.substring(Summary.indexOf("[OUTBOUND][") + 11, Summary.length() - 1)));
							PerformanceSummary = PerformanceSummary + (Float.parseFloat(Summary.substring(Summary.indexOf("[OUTBOUND][") + 11, Summary.length() - 1)));
							PerformanceCount++;
						}
						if(MailType.equals("[THREAD START"))
							PerformanceSummary = PerformanceSummary + 1;
						if(MailType.equals("[DETECTED-MAIL SENT SUCCESSFULLY]"))
							PerformanceSummary = PerformanceSummary + 1;
					}
				}
			}
			Average = PerformanceSummary / PerformanceCount;
		}
		catch(Exception e)	{}
		ReturnVal = PerformanceSummary +","+ PerformanceMin +"#"+ PerformanceMax +"$"+ Average;
		return ReturnVal;
	}*/
}