/********************************************************************************/
/* Name			: AddDomain.java																							*/
/* Copyright	: 2003 SATCOMLABS LTD.																					*/
/* Team			: Spam Control Team																						*/
/* Developer	: Amit Kumar																										*/
/* Last Updated	: 																													*/
/* Abstract		: Add Domain to Server 																						*/
/* Called from	: Dashboard																									*/
/* Calls		: 																															*/
/********************************************************************************/

package com.antispam;

import java.net.*;
import java.io.*;
import com.DBConnection;
import com.replace.Replace;
import java.sql.Connection;
import java.sql.Statement;
import java.sql.ResultSet;
//import com.SocketConnection;

public class AddDomain
{
      DBConnection dbconn = new DBConnection ();
      Replace rep = new Replace ();
      
	  public int domainid = 0;
	  public int domainaliasid = 0;
      public String txtDomainName = "";		
      public String txtSMTP  = "";
      public String txtPOP  = "";
      public String radValidation = "";	      
      public String txtValidationLink = "";		      
      public String taSubject = "";
	  public String taMaxu = "";
      public String taBody = "";
      public String taChallenge = "";
      public String taApproval = "";
      public String taAlready = "";
      public String taFailed = "";
      public String taComments  = "";
	  public String flag  = "";
	  public String radAuthscheme = "";
	  public String radAllowExternal = "";
	  public String radDefaultDomain = "";
	  public String txtAnitvirus  = "";
	  public String txtTransDomain  = "";
	  public int txtuserallowed  = 0;
	  public String radRegistration  = "";
	  public String radBlockincoming = "";
	  public String cmbb= "";
	  public String txtdomainalias = "";
	  public String outssl = "";
	  public String inssl = "";
	  public String authssl = "";
	  public String radOverridechallenge = "";
	  public String cmbspf = "";
	  public int gstart=0;
	  public int gstop=0;
	  public String radSPFPass ="";
	  public String radSPFFail = "";
	  public String radSPFNeutral = "";
	  public String radSPFSoftfail ="";
	  public String radSPFError ="";
	  public String radSPFNone ="";
	  public String authScheme = "";
	  public int ageing = 0;
	  public String passivetext = "";

	  String domainname = "";

   /* SET-GET  the passive mail subject header*/
      public void setTxtPassiveTxt ( String s )
      {	  passivetext = s;      }
      public String getTxtPassiveTxt ( )
      {	  return passivetext;      }

	   /* SET-GET  the ageing for Quarantined*/
      public void setCmbageing ( int s )
      {	  ageing = s;      }
      public int getCmbageing ( )
      {	  return ageing;      }

	 /* SET-GET  For Out SSL Scheme*/
      public void setCmbAuthScheme ( String s )
      {	  authScheme = s;      }
      public String getCmbAuthScheme ( )
      {	  return authScheme;      }

	 /* SET-GET  SPF Pass value*/
      public void setRadSPFPass ( String s )
      {	  radSPFPass = s;      }
      public String getRadSPFPass ( )
      {	  return radSPFPass;      }

	  /* SET-GET  SPF Fail Value*/
      public void setRadSPFFail ( String s )
      {	  radSPFFail = s;      }
      public String getRadSPFFail ( )
      {	  return radSPFFail;      }

	  /* SET-GET  SPF Netural Value*/
      public void setRadSPFNeutral ( String s )
      {	  radSPFNeutral = s;      }
      public String getRadSPFNeutral ( )
      {	  return radSPFNeutral;      }

	  /* SET-GET  SPF Softfail Value*/
      public void setRadSPFSoftfail ( String s )
      {	  radSPFSoftfail = s;      }
      public String getRadSPFSoftfail ( )
      {	  return radSPFSoftfail;      }

	  /* SET-GET  SPF Error Value*/
      public void setRadSPFError ( String s )
      {	  radSPFError = s;      }
      public String getRadSPFError ( )
      {	  return radSPFError;      }

	  /* SET-GET  SPF None Value*/
      public void setRadSPFNone ( String s )
      {	  radSPFNone = s;      }
      public String getRadSPFNone ( )
      {	  return radSPFNone;      }


	 /* SET-GET Greylist Start time */
	 public void setGstart ( int s )
      {	 gstart = s; }
	      
	public int getGstart( )
      {	  return gstart;    }

	/* SET-GET Greylist Stop time */
	 public void setGstop ( int s )
      {	 gstop = s;	  }
	      
	public int getGstop( )
	{  return gstop;   }

	  /* SET-GET  SPF Value*/
      public void setCmbspf ( String s )
      {	  cmbspf = s;      }
      public String getCmbspf ( )
      {	  return cmbspf;      }

	    /* SET-GET  Override server challenge */
      public void setRadOverridechallenge ( String s )
      {	  radOverridechallenge = s;	  }
	        public String getRadOverridechallenge( )
      {
		  return radOverridechallenge;   }

	  /* SET-GET  the out going ssl*/
      public void setOutssl ( String s )
      {	  outssl = s;      }
      public String getOutssl ( )
      {	  return outssl;      }

	   /* SET-GET  the in coming ssl*/
      public void setInssl ( String s )
      {	  inssl = s;      }
      public String getInssl ( )
      {	  return inssl;      }

	   /* SET-GET  the anti-virus ssl*/
      public void setAuthssl ( String s )
      {	  authssl = s;      }
      public String getAuthssl ( )
      {	  return authssl;      }

     
	  /* SET-GET  Domain Alias ID*/
      public void setDomainaliasid ( int s )
      {	  domainaliasid = s;      }

	  /* SET-GET  Domain ID*/
      public void setDomainid ( int s )
      {	  domainid = s;      }
      public int getDomainid ( )
      {	  return domainid;      }

	    /* SET-GET  Autodeletion days*/
      public void setCmbb ( String s )
      {	  cmbb = s;      }
      public String getCmbb ( )
      {	  return cmbb;      }
      
      /* SET-GET  Domain Name*/
      public void setTxtDomainName ( String s )
      {	  txtDomainName = s;      }
      public String getTxtDomainName ( )
      {	  return txtDomainName;      }
      
      /* SET-GET  SMTP IP*/
      public void setTxtSMTP ( String s )
      {	  txtSMTP = s;      }
      public String getTxtSMTP ( )
      {	  return txtSMTP;      }
	     
      /* SET-GET  POP3 IP*/
      public void setTxtPOP ( String s )
      {	txtPOP = s;	}
      public String	getTxtPOP ( )
      {	return txtPOP;	}
      
	  /* SET-GET VALIDATION TYPE*/
      public void setRadValidation( String s )
      {	  radValidation = s;      }
      public String getRadValidation ( )
      {	  return radValidation;      }

	  /* SET-GET VALIDATION LINK*/
      public void setTxtValidationLink ( String s )
      {	  txtValidationLink = s;      }
      public String getTxtValidationLink ( )
      {	  return txtValidationLink;      }
      
           
      /* SET-GET EMAIL SUBJECT*/
      public void setTaSubject( String s )
      {	  taSubject = s;      }
      public String getTaSubject( )
      {	  return taSubject;      }

	 /* SET-GET USER ALLOWED*/
      public void setTaMaxu( String s )
      {	  taMaxu = s;      }
      public String getTaMaxu( )
      {	  return taMaxu;      }
	  /* SET-GET EMAIL BODY*/
      public void setTaBody ( String s )
      {	  taBody = s;      }
      public String getTaBody ( )
      {	  return taBody;      }

	  /* SET-GET CHALLENGE */
      public void setTaChallenge ( String s )
      {	  taChallenge = s;      }
      public String getTaChallenge( )
      {	  return taChallenge;      }

	  /* SET-GET APPROVAL */
      public void setTaApproval ( String s )
      {	  taApproval = s;      }
      public String getTaApproval ( )
      {	  return taApproval;      }

	  /* SET-GET ALREADY*/
      public void setTaAlready ( String s )
      {	  taAlready = s;      }
      public String getTaAlready ( )
      {	  return taAlready;      }

	  /* SET-GET FAILED*/
      public void setTaFailed ( String s )
      {	  taFailed = s;      }
      public String getTaFailed ( )
      {	  return taFailed;      }
      
      /* SET-GET COMMENTS*/
      public void setTaComments( String s )
      {	  taComments = s;      }
      public String getTaComments( )
      {	  return taComments;      }

	  /* SET-GET FLAG*/
      public void setFlag( String s )
      {	  flag = s;      }
      public String getFlag( )
      {	  return flag;      }

	
      public void setRadAuthscheme( String s )
      {	  radAuthscheme = s;      }
      public String getRadAuthscheme( )
      {	  return radAuthscheme;      }

	   /* SET-GET ANTIVIRUS IP*/
      public void setTxtAnitvirus( String s )
      {	  txtAnitvirus = s;      }
      public String getTxtAnitvirus( )
      {	  return txtAnitvirus;      }


	    public void setTxtTransDomain( String s )
      {	  txtTransDomain = s;      }
      public String getTxtTransDomain( )
      {	  return txtTransDomain;      }
      
        /* SET-GET NO. OF USERS*/
      public void setTxtuserallowed( int s )
      {	  txtuserallowed = s;      }
      public int getTxtuserallowed( )
      {	  return txtuserallowed;      }

	 /* SET-GET USER REGISTRATION*/
	    public void setRadRegistration( String s )
      {	  radRegistration = s;      }
      public String getRadRegistration( )
      {	  return radRegistration;      }

		public void setRadBlockincoming( String s )
      {	  radBlockincoming = s;      }
      public String getRadBlockincoming( )
      {	  return radBlockincoming;      }
      
      /* SET-GET  Domain Alias Name*/
      public void setTxtdomainalias ( String s )
      {	  txtdomainalias = s;      }
      public String getTxtdomainalias ( )
      {	  return txtdomainalias;      }

       /* SET-GET  ALLOWEXTERNAL FLAG*/
      public void setRadAllowExternal ( String s )
      {	  radAllowExternal = s;      }
      public String getRadAllowExternal ( )
      {	  return radAllowExternal;      }

       /* SET-GET  DefaultDomain FLAG*/
      public void setRadDefaultDomain ( String s )
      {	  radDefaultDomain = s;      }
      public String getRadDefaultDomain ( )
      {	  return radDefaultDomain;      }


	//METHOD FOR INSERTING THE RECORDS
	public String InsertDomain() 
	{
		Connection conn = null;
		Statement smt = null;
        ResultSet rs = null;
		ResultSet rsmax = null;
		String qry = null;
		String mesg =null;
		
		txtDomainName = rep.replaceBy(txtDomainName,"'","''");
		if(txtTransDomain == null || txtTransDomain.equals(""))
			txtTransDomain = txtDomainName;
		else
			txtTransDomain = rep.replaceBy(txtTransDomain,"'","''");
			
		txtValidationLink = rep.replaceBy(txtValidationLink,"'","''");
		taSubject = rep.replaceBy(taSubject, "'", "''");
		taMaxu = rep.replaceBy(taMaxu, "'", "''");
		taBody = rep.replaceBy(taBody, "'", "''"); 
		taChallenge = rep.replaceBy(taChallenge, "'", "''");
		taApproval = rep.replaceBy(taApproval, "'", "''");
		taAlready = rep.replaceBy(taAlready, "'", "''");
		taFailed = rep.replaceBy(taFailed, "'", "''");
		taComments = rep.replaceBy(taComments, "'", "''");
		
		try
		{
			conn = dbconn.getConnection();
			smt = conn.createStatement();
			
			if (flag.equals("ADD"))
			{
				int domain_id = 0;
				if(txtDomainName != null )
				{
					qry="SELECT DomainID FROM DOMAINS WHERE DomainName='"+txtDomainName+"'";
					rs=smt.executeQuery( qry );
				
					if(rs.next())
						mesg ="Domain Already Exists";
										
						
					else
					{	
						if (radDefaultDomain.equals("T"))
						{
							qry = "UPDATE DOMAINS SET defaultdomain = 'F'";
							smt.executeUpdate ( qry );
						}
						
						String SPFReturn = radSPFPass+radSPFFail+radSPFNeutral+radSPFSoftfail+radSPFError+radSPFNone;

						qry = "INSERT INTO DOMAINS (DomainName,SmtpForwarding_IP,Pop3_IP,ValidationType,ValidationLink,AllowExternal,DefaultDomain,DefaultchallengeWebPage,DefaultapprovalWebPage,DefaultalreadyInWebPage,DefaultFailedWebPage,DefaultEmail_Subject,DefaultEmail_Body,Comments,full_addr,antivirus_ip,user_reg,total_user, block_incoming,autodeletion,override_challenge,spf_enable,greylist_start,greylist_stop,spf_returns,auth_scheme,ageing,passivetext)"+
						"VALUES ('"+txtDomainName.toLowerCase()+"', '"+txtSMTP+outssl+"', '"+txtPOP+inssl+"','"+radValidation+"', '"+txtValidationLink+"','"+radAllowExternal+"','"+radDefaultDomain+"','"+taChallenge+"', '"+taApproval+"', "+
						"'"+taAlready+"', '"+taFailed+"', '"+taSubject+"', '"+taBody+"','"+taComments+"','"+radAuthscheme+"','"+txtAnitvirus+authssl+"','"+radRegistration+"',"+txtuserallowed+",'"+radBlockincoming+"','"+cmbb+"','"+radOverridechallenge+"','"+cmbspf+"',"+gstart+","+gstop+",'"+SPFReturn+"','"+authScheme+"',"+ageing+",'"+passivetext+"')";
						smt.executeUpdate( qry );
						
						qry = "SELECT MAX(DOMAINID) FROM DOMAINS";
						rsmax = smt.executeQuery( qry );
						if(rsmax.next())
						{
							domain_id = rsmax.getInt( 1 );
						}
						qry = "INSERT INTO DOMAINTRANSFORMATION (DOMAINID,TRANSFORMATIONID,ORDER_OF_TRANSFORMATION,DATA) VALUES("+domain_id+",3,0,'"+txtTransDomain+"')";
						smt.executeUpdate( qry );
						
						mesg = "Domain Successfully Added";
						//socketconn.listenSocket("AddDomain:"+txtDomainName);
					}
				}
			}
			else if (flag.equals("UPDATE"))
			{
				if (radDefaultDomain.equals("T"))
				{
					qry = "UPDATE DOMAINS SET defaultdomain = 'F'";
					smt.executeUpdate ( qry );
				}

				qry = "UPDATE DOMAINS SET SMTPFORWARDING_IP='"+txtSMTP+"', POP3_IP='"+txtPOP+"', VALIDATIONTYPE='"+radValidation+"', VALIDATIONLINK='"+txtValidationLink+"', AllowExternal='"+radAllowExternal+"', DefaultDomain='"+radDefaultDomain+"', DEFAULTCHALLENGEWEBPAGE='"+taChallenge+"', DEFAULTAPPROVALWEBPAGE='"+taApproval+"', DEFAULTALREADYINWEBPAGE='"+taAlready+"', DEFAULTFAILEDWEBPAGE='"+taFailed+"', DEFAULTEMAIL_SUBJECT='"+taSubject+"', DEFAULTEMAIL_BODY='"+taBody+"', COMMENTS='"+taComments+"',FULL_ADDR='"+radAuthscheme+"',ANTIVIRUS_IP='"+txtAnitvirus+"',BLOCK_INCOMING='"+radBlockincoming+"',autodeletion='"+cmbb+"' WHERE DOMAINID="+domainid;
				
				mesg = "Domain Successfully Updated";

				qry = "SELECT DOMAINNAME FROM DOMAINS WHERE DOMAINID="+domainid;
				rs = smt.executeQuery( qry );
				if(rs.next())
				{
					domainname = rs.getString( 1 );
				}
				//socketconn.listenSocket("UpdateDomain:"+domainname);
			}
			else if (flag.equals("UPDATEALL")) // UPDATE VALIDATIONTYPE ONLY
			{
				qry = "UPDATE DOMAINS SET VALIDATIONTYPE='"+radValidation+"' WHERE DOMAINID="+domainid;
				smt.executeUpdate( qry );
				mesg = "Domain Updation Succeeded";
			}
			else if (flag.equals("UPDATEONE"))
			{
				qry = "UPDATE DOMAINS SET VALIDATIONTYPE='"+radValidation+"' WHERE DOMAINID="+domainid;
				smt.executeUpdate( qry );

			}
			else if (flag.equals("DELETE"))
			{
				qry = "DELETE FROM DOMAINS WHERE DOMAINID="+domainid;
				smt.executeUpdate( qry );
				mesg = "Domain Deletion Succeeded";
			}
		}
		catch ( Exception e )
		{	System.out.println("Exception-->"+e);
			mesg = "Unable to Insert Records";
		}
		finally
		{
			try 
			{
				smt.close();
				conn.close();
			}
			catch ( Exception ignored ) {}
		}
		return mesg;
	}
	public void selectDefault()
	{
		Connection conn = null;
		Statement smt = null;
	    ResultSet rs = null;
		String qry = null;
		try
		{
			conn = dbconn.getConnection();
			smt = conn.createStatement();
			qry = "SELECT * FROM ADMINDEFAULTS";
			rs = smt.executeQuery( qry );
			if ( rs.next() )
			{
				setTaChallenge(  rs.getString( 1 ));
				setTaApproval( rs.getString( 2 ));
				setTaAlready( rs.getString( 3 ));
				setTaFailed( rs.getString( 4 ));
				setTaSubject(  rs.getString( 5 ));
				setTaBody(  rs.getString( 6 ));
				setTaMaxu(  rs.getString( 7 ));
			}
		}
		catch ( Exception e )
		{	System.out.println("Exception-->"+e);	}
		finally
		{
			try 
			{
				smt.close();
				conn.close();
			}
			catch ( Exception ignored ) {}
		}
	}


	//METHOD FOR INSERTING THE DOMAIN ALIAS RECORDS IN DOMAINALIAS TABLE
	public void InsertDomainAlias() 
	{
		Connection conn = null;
		Statement smt = null;
		String qry = null;

		try
		{
			conn = dbconn.getConnection();
			smt = conn.createStatement();
			
			qry = "INSERT INTO DOMAINALIAS(DOMAINID,DOMAINALIAS)"+
			"VALUES ("+domainid+",'"+txtdomainalias+"')";
			smt.executeUpdate( qry );						
		}
		catch ( Exception e )
		{	System.out.println("Exception-->"+e);
		}
		finally
		{
			try 
			{
				smt.close();
				conn.close();
			}
			catch ( Exception ignored ) {}
		}
	}

	//METHOD FOR DELETING THE DOMAIN ALIAS RECORDS FROM DOMAINALIAS TABLE
	public void DeleteDomainAlias() 
	{
		Connection conn = null;
		Statement smt = null;
		String qry = null;

		
		try
		{
			conn = dbconn.getConnection();
			smt = conn.createStatement();
			
			qry = "DELETE FROM DOMAINALIAS WHERE DALIASID =" + domainaliasid;
			smt.executeUpdate( qry );						
		}
		catch ( Exception e )
		{	System.out.println("Exception-->"+e);
		}
		finally
		{
			try 
			{
				smt.close();
				conn.close();
			}
			catch ( Exception ignored ) {}
		}
	}



}
