/********************************************************************************/
/* Name			:AllUsers.java													*/
/* Copyright	:2003 SATCOMLABS LTD.											*/
/* Team			:Spam Control Team												*/
/* Developer	:Pavan Gupta													*/
/* Last Updated	:2.37 PM 28/12/2003												*/
/* Abstract		:Fetch list from ASL Table										*/
/* Called from	:customview.jsp													*/
/* Calls		:																*/
/********************************************************************************/
package taglibrary;

import javax.servlet.http.*;
import javax.servlet.jsp.*;
import javax.servlet.jsp.tagext.*;
import java.io.*;
import java.net.*;
import java.util.Date;
import java.text.SimpleDateFormat;
import com.DBConnection;
import com.replace.Replace;

public class AllUsers extends BodyTagSupport
{
	private int domain_id = 0;
	private int admin_id = 0;
	private int status_id = 0;
	private String emailaddress = "";
	private int noofrec = 0; //NUMBER OF RECORD TO BE SHOWN
	private String order = "";
	private String column = "";
		
	
	public int minimum = 0;		
	public int k =0;

	private java.util.List userid = new java.util.LinkedList();
	private java.util.List firstname = new java.util.LinkedList();
	private java.util.List lastname = new java.util.LinkedList();
	private java.util.List username = new java.util.LinkedList();
	private java.util.List userdomain = new java.util.LinkedList();
	private java.util.List authority = new java.util.LinkedList();
	private java.util.List status = new java.util.LinkedList();
	

	private int index;
	private StringBuffer output = null;

	Replace rep = new Replace ();
	DBConnection dbconn = new DBConnection ();
 
	public void setMinimum( int d )
    	{
		minimum = d;	
	}
	
	public int getMinimum()
    	{	
		return minimum;	
	}
	
	// SET-GET METHOD FOR DOMAIN ID
	public int getDomain_id ()
    {	
		return domain_id;	
	}
    public void setDomain_id( int newdomain_id )
    {
		this.domain_id = newdomain_id;	
	}
	
	// SET-GET METHOD FOR ADMIN ID
	public int getAdmin_id ()
    {	
		return admin_id;	
	}
    public void setAdmin_id( int newadmin_id )
    {
		this.admin_id = newadmin_id;	
	}

	// SET-GET METHOD FOR STATUS ID
	public int getStatus_id ()
    {	
		return status_id;	
	}
    public void setStatus_id( int newstatus_id )
    {
		this.status_id = newstatus_id;	
	}

	// SET-GET METHOD FOR SEARCH EMAIL ADDRESS
	public String getEmailaddress ()
    {	
		return emailaddress;	
	}
    public void setEmailaddress( String newemailaddress )
    {
		this.emailaddress = newemailaddress;	
	}

	// SET-GET METHOD FOR NUMBER OF RECORDS DISPLAYED
	public int getNoofrec ()
    {	
		return noofrec;	
	}
    public void setNoofrec( int newnoofrec )
    {
		this.noofrec = newnoofrec;	
	}

	// GET-SET METHOD FOR ORDER OF RECORDS (ASCENDING/ DESCENDING)
	public String getOrder ()
    {	
		return order;	
	}
    public void setOrder( String neworder )
    {
		this.order = neworder;	
	}

	// GET-SET METHOD FOR COLUMN NAME TO BE SORT
	public String getColumn ()
    {	
		return column;	
	}
    public void setColumn( String newcolumn )
    {
		this.column = newcolumn;	
	}

	public int doStartTag() throws JspException
	{
		java.sql.Connection conn = null;
		java.sql.Statement stmt = null;
		java.sql.ResultSet rs = null;

		output = new StringBuffer();

		emailaddress = rep.replaceBy ( emailaddress, "'", "''" );

		String qry = null;
		k=0;
		try
		{
			conn = dbconn.getConnection();
			stmt = conn.createStatement();
				
			//FETCH USERS FROM USERS TABLE

			if(emailaddress.equals("*"))
			{
				if(status_id == 0)
				{
					if (admin_id == 0)
						qry = "SELECT U.USERID, U.FIRSTNAME, U.LASTNAME, U.EMAIL_USERNAME, D.DOMAINNAME, U.STATUS, U.ADMINID FROM USERS U, DOMAINS D WHERE U.DOMAINID="+domain_id+" AND D.DOMAINID=U.DOMAINID ORDER BY "+column+" "+order;
					else
						qry = "SELECT U.USERID, U.FIRSTNAME, U.LASTNAME, U.EMAIL_USERNAME, D.DOMAINNAME, U.STATUS, U.ADMINID FROM USERS U, DOMAINS D WHERE ADMINID="+admin_id+" AND U.DOMAINID="+domain_id+" AND D.DOMAINID=U.DOMAINID ORDER BY "+column+" "+order;
				}
				else
				{
					if (admin_id == 0)
						qry = "SELECT U.USERID, U.FIRSTNAME, U.LASTNAME, U.EMAIL_USERNAME, D.DOMAINNAME, U.STATUS, U.ADMINID FROM USERS U, DOMAINS D WHERE U.STATUS="+status_id+" AND U.DOMAINID="+domain_id+" AND D.DOMAINID=U.DOMAINID ORDER BY "+column+" "+order;
					else
						qry = "SELECT U.USERID, U.FIRSTNAME, U.LASTNAME, U.EMAIL_USERNAME, D.DOMAINNAME, U.STATUS, U.ADMINID FROM USERS U, DOMAINS D WHERE U.STATUS="+status_id+" AND U.ADMINID="+admin_id+" AND U.DOMAINID="+domain_id+" AND D.DOMAINID=U.DOMAINID ORDER BY "+column+" "+order;
				}
			}
			else
			{
				if(status_id == 0)
				{
					if (admin_id == 0)
						qry = "SELECT U.USERID, U.FIRSTNAME, U.LASTNAME, U.EMAIL_USERNAME, D.DOMAINNAME, U.STATUS, U.ADMINID FROM USERS U, DOMAINS D WHERE U.DOMAINID="+domain_id+" AND D.DOMAINID=U.DOMAINID AND LOWER(U.EMAIL_USERNAME) ='"+emailaddress.toLowerCase()+"' ORDER BY "+column+" "+order;
					else
						qry = "SELECT U.USERID, U.FIRSTNAME, U.LASTNAME, U.EMAIL_USERNAME, D.DOMAINNAME, U.STATUS, U.ADMINID FROM USERS U, DOMAINS D WHERE ADMINID="+admin_id+" AND U.DOMAINID="+domain_id+" AND D.DOMAINID=U.DOMAINID AND LOWER(U.EMAIL_USERNAME) ='"+emailaddress.toLowerCase()+"' ORDER BY "+column+" "+order;
				}
				else
				{
					if (admin_id == 0)
						qry = "SELECT U.USERID, U.FIRSTNAME, U.LASTNAME, U.EMAIL_USERNAME, D.DOMAINNAME, U.STATUS, U.ADMINID FROM USERS U, DOMAINS D WHERE U.STATUS="+status_id+" AND U.DOMAINID="+domain_id+" AND D.DOMAINID=U.DOMAINID AND LOWER(U.EMAIL_USERNAME) ='"+emailaddress.toLowerCase()+"' ORDER BY "+column+" "+order;
					else
						qry = "SELECT U.USERID, U.FIRSTNAME, U.LASTNAME, U.EMAIL_USERNAME, D.DOMAINNAME, U.STATUS, U.ADMINID FROM USERS U, DOMAINS D WHERE U.STATUS="+status_id+" AND U.ADMINID="+admin_id+" AND U.DOMAINID="+domain_id+" AND D.DOMAINID=U.DOMAINID AND LOWER(U.EMAIL_USERNAME) ='"+emailaddress.toLowerCase()+"' ORDER BY "+column+" "+order;
				}
			}
			
			rs = stmt.executeQuery( qry );
			if ( rs.next() )
			{
					int i = 0;
					int j = 0;
					k++;
								
					while(i<(minimum-1) && rs.next())
					{
						i++;
						k++;
					}			
				do
				{
					userid.add ( rs.getString( 1 ) );
					firstname.add ( rs.getString( 2 ) );
					lastname.add ( rs.getString( 3 ) );
					username.add (rs.getString( 4 ));
					userdomain.add ( rs.getString( 5 ) );
					authority.add ( rs.getString( 7 ) );
					status.add ( rs.getString( 6 ) );
					j++;
					k++;
				}
				while(rs.next() && j<10);
				while(rs.next())
				{
					k++;
				}
			}
			else
			{
				userid.add ( "0" );
				firstname.add ( "0" );
				lastname.add ( "0" );
				username.add ( "0" );
				userdomain.add ( "0" );
				authority.add ( "0" );
				status.add ( "0" );
			}
		}
	
		catch ( java.sql.SQLException sqle )
		{	System.out.println("SQLE Exception-->"+sqle);	}
		catch ( Exception e )
		{	System.out.println("Exception-->"+e);	}
		finally
		{
			try
			{
				rs.close();
				stmt.close();
				conn.close();
			}
			catch ( Exception ignored ) {System.out.println("Spam Controllar");
			System.out.println(ignored);
			}
		}
		if ( userid.size() > 0 )
		{
			setLoopVariables();
			return EVAL_BODY_TAG;
		}
		return SKIP_BODY;
	}

	public int doAfterBody() throws JspTagException
    {
		BodyContent bodyContent = getBodyContent();
		if ( bodyContent != null )
		{
			output.append( bodyContent.getString() );
			try
			{
				bodyContent.clear();
			}
			catch ( IOException ex )
			{
				System.out.println("Spam Controllar");
                throw new JspTagException("Fatal IO Error");
			}
		}
		if ( ++index < userid.size() )
		{
			setLoopVariables();
			return EVAL_BODY_TAG;
		}
		return SKIP_BODY;
     }

	public int doEndTag() throws JspTagException
	{
		try
		{
			bodyContent.getEnclosingWriter().write( output.toString() );
		}
		catch ( IOException ex )
		{
			System.out.println("Error -->"+ex);
			throw new JspTagException("Fatal IO Error");
		}
		pageContext.setAttribute( "Expruser", new Integer(k));    
		return EVAL_PAGE;
	}
    
	private void setLoopVariables ()
    {
		pageContext.setAttribute( "userid", userid.get( index ).toString() );
		pageContext.setAttribute( "firstname", firstname.get( index ).toString() );
		pageContext.setAttribute( "lastname", lastname.get( index ).toString() );
		pageContext.setAttribute( "username", username.get( index ).toString() );
		pageContext.setAttribute( "userdomain", userdomain.get( index ).toString() );
		pageContext.setAttribute( "authority", authority.get( index ).toString() );
		pageContext.setAttribute( "status", status.get( index ).toString() );
	}
}