/********************************************************************************/
/* Name		:Keymail.java						*/
/* Copyright		:2003 SATCOMLABS LTD.				*/
/* Team		:Spam Control Team					*/
/* Developer		:Pava Gupta						*/
/* Last Updated	:10.23 AM 18/12/2003					*/
/* Abstract		:Fetch list of keymail from Keymails table		*/
/* Called from		:dashboard						*/
/* Calls		:							*/
/********************************************************************************/
package taglibrary;

import javax.servlet.http.*;
import javax.servlet.jsp.*;
import javax.servlet.jsp.tagext.*;
import java.io.*;
import java.net.*;
import java.util.Date;
import java.text.SimpleDateFormat;
import com.DBConnection;

public class Keymail extends BodyTagSupport
{
	private int userid = 0;
	private String keymailstatus = "";
	private int noofrec = 0; //NUMBER OF RECORD TO BE SHOWN
	private String order = "";
	private String column = "";
		
	public int minimum = 0;		
	public int k =0;

	private java.util.List keymailid = new java.util.LinkedList();
	private java.util.List usedlimit = new java.util.LinkedList();
	private java.util.List creationdate = new java.util.LinkedList();
	private java.util.List expirationdate = new java.util.LinkedList();
	private java.util.List expirationtype = new java.util.LinkedList();
	private java.util.List expirationdays = new java.util.LinkedList();
	private java.util.List approvalid = new java.util.LinkedList();
	private java.util.List maxlimit = new java.util.LinkedList();
	private int index;
	private StringBuffer output = null;

	DBConnection dbconn = new DBConnection ();
	 
	public void setMinimum( int d )
    	{
		minimum = d;	
	}
	
	public int getMinimum()
    	{	
		return minimum;	
	}
	
	public int getUserid ()
    	{	
		return userid;	
	}
    	public void setUserid( int newuserid )
    	{
		this.userid = newuserid;	
	}

	public String getKeymailstatus ()
    {	
		return keymailstatus;	
	}
    	public void setKeymailstatus( String newkeymailstatus )
    	{
		this.keymailstatus = newkeymailstatus;	
	}
	
	public int getNoofrec ()
    	{	
		return noofrec;	
	}
    	public void setNoofrec( int newnoofrec )
    	{
		this.noofrec = newnoofrec;	
	}

	// GET-SET METHOD FOR ORDER OF RECORDS (ASCENDING/ DESCENDING)
	public String getOrder ()
    {	
		return order;	
	}
    public void setOrder( String neworder )
    {
		this.order = neworder;	
	}

	// GET-SET METHOD FOR COLUMN NAME TO BE SORT
	public String getColumn ()
    {	
		return column;	
	}
    public void setColumn( String newcolumn )
    {
		this.column = newcolumn;	
	}

	int checkDomain(String arr[])
	{
     /********************************************************************
                find the distinct domain
     ********************************************************************/
		String arr1[]=arr;
        String arr2[]=arr;
        int count=0;
        int i=0,j=0;
        int arrc[]=new int[arr1.length];
        int status=0;
        while(i<arr1.length)
        {
			if(arrc[i]==1)
            {
				i++;
                continue;
			}
            j=0;
            while(j<arr2.length)
            {
	            if(arr1[i].indexOf(arr2[j])!=-1 || arr2[j].indexOf(arr1[i])!=-1)
                {
		            if( arrc[j]==1)
                    {
			            arrc[i]=1;i++;status=1;
                        break;
                    }
                    arrc[j]=1;arrc[i]=1;
                }
                j++;
            }
	        if(status==1)
            {
				status=0;continue;
            }
            i++;
            count++;
		}
        return count;
	}

	public int doStartTag() throws JspException
	{
		java.sql.Connection conn = null;
		java.sql.Statement stmt = null, stmt1 = null;
		java.sql.ResultSet rs = null, rs1 = null, rs2 = null;

		output = new StringBuffer();
		String total_count = "";

		String qry = null;
		try
		{
			conn = dbconn.getConnection();
			stmt = conn.createStatement();
			stmt1 = conn.createStatement();
			
			//FETCH KEYMAIL INFORMATION FROM KEYMAILS TABLE
			if(keymailstatus.equals("all"))
				qry = "SELECT KEYMAILID, CREATION_DATE, EXPIRATION_TYPE, EXPIRATION_DAYS, APPROVALID,MAXLIMIT, TO_DATE(TO_CHAR(CREATION_DATE,'mm-dd-yyyy HH12:MI:SS'),'dd-mm-yyyy HH12:MI:SS')+ EXPIRATION_DAYS AS EXPDAYS FROM KEYMAILS WHERE USERID="+userid+" ORDER BY "+column+" "+order;
			else
				//qry = "SELECT KEYMAILID, CREATION_DATE, EXPIRATION_TYPE, EXPIRATION_DAYS, APPROVALID,MAXLIMIT FROM KEYMAILS WHERE STATUSID!=2 AND STATUSID!=4 AND USERID="+userid+" ORDER BY "+column+" "+order;
				qry = "SELECT KEYMAILID, CREATION_DATE, EXPIRATION_TYPE, EXPIRATION_DAYS, APPROVALID,MAXLIMIT, TO_DATE(TO_CHAR(CREATION_DATE,'mm-dd-yyyy HH12:MI:SS'),'dd-mm-yyyy HH12:MI:SS')+ EXPIRATION_DAYS AS EXPDAYS FROM KEYMAILS WHERE STATUSID!=2 AND STATUSID!=4 AND USERID="+userid+" ORDER BY "+column+" "+order;
			//System.out.println("SQL =" + qry);
			rs = stmt.executeQuery( qry );
			if ( rs.next() )
			{
				if(noofrec > 0)
				{
					int i = 0;
					do
					{
						String keymail = rs.getString( 1 );
						keymailid.add ( keymail );
						SimpleDateFormat dateformat = new SimpleDateFormat("dd/MM/yyyy");
						Date crdate = rs.getDate(2);
						String creation_date = dateformat.format(crdate);
						creationdate.add ( creation_date );
						expirationtype.add ( rs.getString( 3 ) );
						expirationdays.add ( rs.getString( 4 ) );
						approvalid.add ( rs.getString( 5 ) );
						maxlimit.add ( rs.getString( 6 ) );
						Date exprdate = rs.getDate(7);
						String expiration_date = dateformat.format(exprdate);

						expirationdate.add ( expiration_date );


						if( rs.getInt( 5 ) == 1)
						{
							qry = "select count(*) as totalcount from keymaillist where keymail = '"+keymail+"'";
							rs1 = stmt1.executeQuery(qry);
							if (rs1.next())
								total_count = rs1.getString("totalcount");
								
						}
						else if(rs.getInt( 5 ) == 2)
						{
							qry = "select count(distinct sender_domain) as totalcount from keymaillist where keymail = '"+keymail+"'";
							rs1 = stmt1.executeQuery(qry);
							if (rs1.next())
								total_count = rs1.getString("totalcount");
						}
						else if(rs.getInt( 5 ) == 3)
						{
							int counting = 0;
							qry = "select count(*) from keymaillist where keymail = '"+keymail+"'";
							rs1 = stmt1.executeQuery(qry);
							if(rs1.next())
								counting = rs1.getInt(1);

							String arr[] = new String[counting];
							qry = "select sender_domain from keymaillist where keymail = '"+keymail+"'";

							rs2 = stmt1.executeQuery(qry);
							if(rs2.next())
							{
								int m =0;
								do
								{
									arr [m] = rs2.getString (1);
									m++;
								}
								while(rs2.next());
							}
							int total_counting = checkDomain(arr);
							total_count = ""+total_counting;
						}
						usedlimit.add(total_count);
						i++;
					}
					while( rs.next() && i< noofrec);
				}
				else
				{
					int i = 0;
					int j = 0;
					k = 1;
								
					while(i<(minimum-1) && rs.next())
					{
						i++;
						k++;
					}	
						do
						{
							String keymail = rs.getString( 1 );
							keymailid.add ( keymail );
							SimpleDateFormat dateformat = new SimpleDateFormat("dd/MM/yyyy");
							Date crdate = rs.getDate(2);
							String creation_date = dateformat.format(crdate);
							creationdate.add ( creation_date );
							expirationtype.add ( rs.getString( 3 ) );
							expirationdays.add ( rs.getString( 4 ) );
							approvalid.add ( rs.getString( 5 ) );
							maxlimit.add ( rs.getString( 6 ) );
							Date exprdate = rs.getDate(7);
							String expiration_date = dateformat.format(exprdate);
							expirationdate.add ( expiration_date );
							if(rs.getInt( 5 ) == 1)
							{
								qry = "select count(*) as totalcount from keymaillist where keymail = '"+keymail+"'";
								rs1 = stmt1.executeQuery(qry);
								if (rs1.next())
									total_count = rs1.getString("totalcount");
							}
							else if(rs.getInt( 5 ) == 2)
							{
								qry = "select count(distinct sender_domain) as totalcount from keymaillist where keymail = '"+keymail+"'";
								rs1 = stmt1.executeQuery(qry);
								if (rs1.next())
									total_count = rs1.getString("totalcount");
							}
							else if(rs.getInt( 5 ) == 3)
							{
								int counting = 0;
								qry = "select count(*) from keymaillist where keymail = '"+keymail+"'";
								rs1 = stmt1.executeQuery(qry);
								if(rs1.next())
									counting = rs1.getInt(1);

								String arr[] = new String[counting];
								qry = "select sender_domain from keymaillist where keymail = '"+keymail+"'";

								rs2 = stmt1.executeQuery(qry);
								if(rs2.next())
								{
									int m =0;
									do
									{
										arr [m] = rs2.getString (1);
										m++;
									}
									while(rs2.next());
								}
								int total_counting = checkDomain(arr);
								total_count = ""+total_counting;
							}
							usedlimit.add(total_count);
							j++;
							k++;
						}
						while(rs.next() && j<10);
						while(rs.next())
						{
							k++;
						}
				}
			}
			else
			{
				keymailid.add ("0");
				usedlimit.add ("0");
				creationdate.add ("0");
				expirationdate.add ("0");
				expirationtype.add ("0");
				expirationdays.add ("0");
				approvalid.add ("0");
				maxlimit.add ("0");
			}
		}
		catch ( java.sql.SQLException sqle )
		{	System.out.println("SQLE Exception-->"+sqle);	}
		catch ( Exception e )
		{	System.out.println("Exception-->"+e);	}
		finally
		{
			try
			{
				rs.close();
				stmt.close();
				conn.close();
			}
			catch ( Exception ignored ) {System.out.println("Spam Controllar");
			System.out.println(ignored);
			}
		}
		if ( keymailid.size() > 0 )
		{
			setLoopVariables();
			return EVAL_BODY_TAG;
		}
		return SKIP_BODY;
	}

	public int doAfterBody() throws JspTagException
	{
		BodyContent bodyContent = getBodyContent();
		if ( bodyContent != null )
		{
			output.append( bodyContent.getString() );
			try
			{
				bodyContent.clear();
			}
			catch ( IOException ex )
			{
				System.out.println("Spam Controllar");
				throw new JspTagException("Fatal IO Error");
			}
		}
		if ( ++index < keymailid.size() )
		{
			setLoopVariables();
			return EVAL_BODY_TAG;
		}
		return SKIP_BODY;
	}

	public int doEndTag() throws JspTagException
	{
		try
		{
			bodyContent.getEnclosingWriter().write( output.toString() );
		}
		catch ( IOException ex )
		{
			System.out.println("Error -->"+ex);
			throw new JspTagException("Fatal IO Error");
		}
		pageContext.setAttribute( "Exprkey", new Integer(k));  
		return EVAL_PAGE;
	}
    
	private void setLoopVariables()
	{
		pageContext.setAttribute( "keymailid", keymailid.get( index ).toString() );
		pageContext.setAttribute( "usedlimit", usedlimit.get( index ).toString() );
		pageContext.setAttribute( "creationdate", creationdate.get( index ).toString() );
		pageContext.setAttribute( "expirationdate", expirationdate.get( index ).toString() );
		pageContext.setAttribute( "expirationtype",expirationtype.get( index ).toString() );
		pageContext.setAttribute( "expirationdays", expirationdays.get( index ).toString() );
		pageContext.setAttribute( "approvalid", approvalid.get( index ).toString() );
		pageContext.setAttribute( "maxlimit", maxlimit.get( index ).toString() );
	}
}