  
  /******************************************************************************/
/* Name			:ServerMenu.java												*/
/* Copyright	:2003 SATCOMLABS LTD.											*/
/* Team			:Spam Control Team												*/
/* Developer	:Pavan Gupta													*/
/* Last Updated	:2.45 PM 08/01/2004												*/
/* Abstract		:Tag Handler for Domain Menu									*/
/* Called from	:dashboard														*/
/* Calls		:																*/
/********************************************************************************/
package taglibrary;

import javax.servlet.http.*;
import javax.servlet.jsp.*;
import javax.servlet.jsp.tagext.*;
import java.io.*;
import java.net.*;
import com.DBConnection;

public class ServerMenu extends TagSupport
{
	private int showCurrPage = 0;

	public int getShowCurrPage ()
	{	
		return showCurrPage;	
	}
    public void setShowCurrPage( int s )
    {
		showCurrPage = s;	
	}


	public int doStartTag() throws JspException
    {
		try
		{
			JspWriter out = pageContext.getOut();
			out.println("<TABLE border=0 cellPadding=0 cellSpacing=0 width='100%'>");
       		out.println("<TBODY>");
			if(showCurrPage == 1)
			{
				out.println("<TR>");
				out.println("<TD class=leftnav noWrap><img src='images/bullet1.gif'>&nbsp;<a class=nav id=Menu1_Srvdashboard style=FONT-WEIGHT: bold>Server DashBoard</a> </TD>");
				out.println("</TR>");
			}
			else
			{
				out.println("<TR>");
				out.println("<TD class=leftnav noWrap><img src='images/bullet1.gif'>&nbsp;<a class=nav id=Menu1_Srvdashboard href=servermain.jsp>Server DashBoard</a> </TD>");
				out.println("</TR>");
			}

			if(showCurrPage == 2)
			{
				out.println("<TR>");
				out.println("<TD class=leftnav noWrap><img src='images/bullet1.gif'>&nbsp;<a class=nav id=Menu1_SrvAddDomain style=FONT-WEIGHT: bold>Add Domain</a></TD>");
				out.println("</TR>");
			}
			else
			{
				out.println("<TR>");
				out.println("<TD class=leftnav noWrap><img src='images/bullet1.gif'>&nbsp;<a class=nav id=Menu1_SrvAddDomain href=ServerAddDomain.jsp>Add Domain</a></TD>");
				out.println("</TR>");
			}

			if(showCurrPage == 3)
			{
				out.println("<TR>");
				out.println("<TD class=leftnav noWrap><img src='images/bullet1.gif'>&nbsp;<a class=nav id=Menu1_SrvAddUser style=FONT-WEIGHT: bold>Add User</a></TD>");
				out.println("</TR>");
			}
			else
			{
				out.println("<TR>");
				out.println("<TD class=leftnav noWrap><img src='images/bullet1.gif'>&nbsp;<a class=nav id=Menu1_SrvAddUser href=ServerAddUser.jsp>Add User</a></TD>");
				out.println("</TR>");
			}
			if(showCurrPage == 4)
			{
				out.println("<TR>");
				out.println("<TD class=leftnav noWrap><img src='images/bullet1.gif'>&nbsp;<a class=nav id=Menu1_SrvAddWhitelist style=FONT-WEIGHT: bold>Add to Whitelist</a></TD>");
				out.println("</TR>");
			}
			else
			{
				out.println("<TR>");
				out.println("<TD class=leftnav noWrap><img src='images/bullet1.gif'>&nbsp;<a class=nav id=Menu1_SrvAddWhitelist href=ServerAddWhiteList.jsp>Add to Whitelist</a></TD>");
				out.println("</TR>");
			}

			if(showCurrPage == 5)
			{
				out.println("<TR>");
				out.println("<TD class=leftnav noWrap><img src='images/bullet1.gif'>&nbsp;<A class=nav id=Menu1_SrvAllDomains style=FONT-WEIGHT: bold>All Domains</A></TD>");
				out.println("</TR>");
			}
			else
			{
				out.println("<TR>");
				out.println("<TD class=leftnav noWrap><img src='images/bullet1.gif'>&nbsp;<a class=nav id=Menu1_SrvAllDomains href=serverviewalldomains.jsp>All Domains</a></TD>");
				out.println("</TR>");
			}

			if(showCurrPage == 6)
			{
				out.println("<TR>");
				out.println("<TD class=leftnav noWrap><img src='images/bullet1.gif'>&nbsp;<a class=nav id=Menu1_SrvAllUsers style=FONT-WEIGHT: bold>All Users</a></TD>");
				out.println("</TR>");
			}
			else
			{
				out.println("<TR>");
				out.println("<TD class=leftnav noWrap><img src='images/bullet1.gif'>&nbsp;<a class=nav id=Menu1_SrvAllUsers href=serverviewallusers.jsp>All Users</a></TD>");
				out.println("</TR>");
			}

			if(showCurrPage == 7)
			{
				out.println("<TR>");
				out.println("<TD class=leftnav noWrap><img src='images/bullet1.gif'>&nbsp;<a class=nav id=Menu1_SrvsearchWhiteList style=FONT-WEIGHT: bold>Search Whitelist</a></TD>");
				out.println("</TR>");
			}
			else
			{
				out.println("<TR>");
				out.println("<TD class=leftnav noWrap><img src='images/bullet1.gif'>&nbsp;<a class=nav id=Menu1_SrvsearchWhiteList href=servercustomview.jsp>Search Whitelist</a></TD>");
				out.println("</TR>");
			}

			if(showCurrPage == 8)
			{
				out.println("<TR>");
				out.println("<TD class=leftnav noWrap><img src='images/bullet1.gif'>&nbsp;<a class=nav id=Menu1_SrvPreApproved style=FONT-WEIGHT: bold>Pre-approved</a></TD>");
				out.println("</TR>");
			}
			else
			{
				out.println("<TR>");
				out.println("<TD class=leftnav noWrap><img src='images/bullet1.gif'>&nbsp;<a class=nav id=Menu1_SrvPreApproved href=serverviewall.jsp?conditionid=1>Pre-approved</a></TD>");
				out.println("</TR>");
			}
			if(showCurrPage == 9)
			{
				out.println("<TR>");
				out.println("<TD class=leftnav noWrap><img src='images/bullet1.gif'>&nbsp;<a class=nav id=Menu1_SrvSpammers style=FONT-WEIGHT: bold>Spammers</a></TD>");
				out.println("</TR>");
			}
			else
			{
				out.println("<TR>");
				out.println("<TD class=leftnav noWrap><img src='images/bullet1.gif'>&nbsp;<a class=nav id=Menu1_SrvSpammers href=serverviewall.jsp?conditionid=2>Spammers</a></TD>");
				out.println("</TR>");
			}

			if(showCurrPage == 10)
			{
				out.println("<TR>");
				out.println("<TD class=leftnav noWrap><img src='images/bullet1.gif'>&nbsp;<a class=nav id=Menu1_Srvlogs style=FONT-WEIGHT: bold>Logs</a></TD>");
				out.println("</TR>");
			}
			else
			{
				out.println("<TR>");
				out.println("<TD class=leftnav noWrap><img src='images/bullet1.gif'>&nbsp;<a class=nav id=Menu1_Srvlogs href=serverlog.jsp>Logs</a></TD>");
				out.println("</TR>");
			}

			if(showCurrPage == 11)
			{
				out.println("<TR>");
				out.println("<TD class=leftnav noWrap><img src='images/bullet1.gif'>&nbsp;<a class=nav id=Menu1_SrvImports style=FONT-WEIGHT: bold>Import</a></TD>");
				out.println("</TR>");
			}
			else
			{
				out.println("<TR>");
				out.println("<TD class=leftnav noWrap><img src='images/bullet1.gif'>&nbsp;<a class=nav id=Menu1_SrvImports href=uploadfiles.jsp?uploadtype=S>Import</a></TD>");
				out.println("</TR>");
			}

			if(showCurrPage == 12)
			{
				out.println("<TR>");
				out.println("<TD class=leftnav noWrap><img src='images/bullet1.gif'>&nbsp;<a class=nav id=Menu1_SrvSettings style=FONT-WEIGHT: bold>Server Settings</a></TD>");
				out.println("</TR>");
			}
			else
			{
				out.println("<TR>");
				out.println("<TD class=leftnav noWrap><img src='images/bullet1.gif'>&nbsp;<a class=nav id=Menu1_SrvSettings href=serversettings.jsp>Server Settings</a></TD>");
				out.println("</TR>");
			}

			out.println("<TR>");
			out.println("<TD class=leftnav noWrap><img src='images/bullet1.gif'>&nbsp;<a class=nav href=javascript:onclick=openHelp('help/GettingStartedServer.htm')>Getting Started</A></TD>");
			out.println("</TR>");

			out.println("<TR>");
			out.println("<TD class=leftnav noWrap><img src='images/bullet1.gif'>&nbsp;<a class=nav id=UserMenu_Logout href=dashboardlogin.jsp>Logout</a></TD>");
			out.println("</TR>");

       		out.println("</TBODY>");
			out.println("</TABLE>");
		}
		catch ( Exception e )
		{
			System.out.println("Exception-->"+e);	
		}
		return SKIP_BODY;
	}
}	