function CheckIP (ip)
{
	//validating numeric entry only
	var checkOK = '0123456789.';
	var checkStr = ip;
	var allNum = '';
	var temp;
	var ok="yes";
		for (i = 0;  i < ip.length;  i++)
		{				
		   temp = "" + checkStr.substring(i, i+1);
		   if (checkOK.indexOf(temp) == "-1") ok = "no";	
		}
		
		if (ok == "no") 
		{
			return (false);
		}			
	var splitIP;
	splitIP = ip.split(".");
	// to check that there are dots between the numbers.
	if (splitIP.length == 1)		
		return false;
	// to check that there are only 3 dots between the numbers.
	else if (splitIP.length != 4)	
		return false;
	// to check that the each part of the ip has a length, i.e. no 2 dots after each other.
	else if ( (splitIP[0].length == 0) | (splitIP[1].length == 0) | (splitIP[2].length == 0) | (splitIP[3].length == 0) )
		return false;
	// to check that each part has a length not greater than 3 digits.
	else if ( (splitIP[0].length > 3) | (splitIP[1].length > 3) | (splitIP[2].length > 3) | (splitIP[3].length > 3) )
		return false;
	// to check on each part that it is not excceeding 255.
	else if ( (splitIP[0] > 255) | (splitIP[1] > 255) | (splitIP[2] > 255) | (splitIP[3] > 255) )
		return false;
	// to check that the first part's value is not equal to zero.
	else if (splitIP[0] == 0)
		return false;
	// to check that the not all parts value are equal to zero.
	else if ( (splitIP[0] == 0) & (splitIP[1] == 0) & (splitIP[2] == 0) & (splitIP[3] == 0) )
		return false;
	// to check that it is not a local machine  IP.
	else if ( (splitIP[0] == 127) & (splitIP[1] == 0) & (splitIP[2] == 0) & (splitIP[3] == 1) )
		return false;
	// to check that the not all parts value are equal to 255.
	else if ( (splitIP[0] == 255) & (splitIP[1] == 255) & (splitIP[2] == 255) & (splitIP[3] == 255) )
		return false;
	// otherwise return true, that is IP is valid.
	else
		return true
}