<%
/********************************************************************************/
/* Name			:-    serversettings.jsp				     		*/
/* Copyright    :-    2003 SATCOMLABS LTD.				     		*/
/* Team		    :-    Spam Controller 								*/
/* Author       :-    Pavan Gupta								*/
/* Last Updated :-    11:57 AM 12/12/2003							*/
/* Abstract     :-    Update or insert server settings				*/
/* Called from  :-    Server Tab									*/
/* Calls        :-    interserversettings.jsp						*/
/********************************************************************************/
%>
<%@ taglib prefix="server" uri="/WEB-INF/TLDS/server.tld" %>
<%@ taglib prefix="spam" uri="/WEB-INF/TLDS/spamcontrollar.tld" %>
<jsp:useBean id="user" scope="page" class="com.antispam.User" />
<jsp:useBean id = "validate" scope="session" class="com.antispam.Authentication" />
<%
int userid = validate.getUserid();
int adminid = validate.getAdminid();
if(userid==0 || adminid!=1)
{
	response.sendRedirect("dashboardlogin.jsp");
}
else
{
	//METHOD FOR GETTING DEFAULT SETTINGS
	user.validateCustomer();

	String message = "";
	if(request.getParameter("message") != null)
		message = request.getParameter("message");
%>

	<HTML>
		<HEAD><TITLE>Server Settings</TITLE>
		<LINK href="stylesheets/display_control.css" type=text/css rel=stylesheet>
	</HEAD>
	<SCRIPT language=javascript id=valIp src="scripts/ValidationScript.js"></SCRIPT>
	<SCRIPT language=javascript id=valIp src="scripts/validations.js"></SCRIPT>
	<SCRIPT language=javascript src="scripts/WebUIValidation.js"></SCRIPT> 
	<SCRIPT language=javascript src="scripts/validate.js"></SCRIPT>
	<SCRIPT language=javascript>
			
		//THIS FUNCTION CHECK ALL THE VALIDATION 
		function funSave()
		{
			document.frmServerSettings.txtsubject.value = trim(document.frmServerSettings.txtsubject.value);
			if(isBlank(document.frmServerSettings.txtsubject) == "1")
			{
				alert("Email Subject : Required Field");
				document.frmServerSettings.txtsubject.focus();
				return false;
			}
			/*else if(spcharvalidate(document.frmServerSettings.txtsubject.value,"'")==true)
			{
				alert("Speacial character found");
				document.frmServerSettings.txtsubject.focus();
				
			}*/	
			//else if(isBlank(document.frmServerSettings.txtbody) == "1")
			else if(document.frmServerSettings.txtbody.value == "")
			{
				alert("Email Body : Required Field");
				document.frmServerSettings.txtbody.focus();
				return false;
			}
			else if(document.frmServerSettings.txtchallenge.value == "")
			{
				alert("Challenge WebPage Contents : Required Field");
				document.frmServerSettings.txtchallenge.focus();
				return false;
			}
			else if(document.frmServerSettings.txtapproval.value == "")
			{
				alert("Approval WebPage Contents : Required Field");
				document.frmServerSettings.txtapproval.focus();
				return false;
			}
			else if(document.frmServerSettings.txtalready.value == "")
			{
				alert("Already in WebPage Contents : Required Field");
				document.frmServerSettings.txtalready.focus();
				return false;
			}
			else if(document.frmServerSettings.txtfailed.value == "")
			{
				alert("Failed WebPage Contents : Required Field");
				document.frmServerSettings.txtfailed.focus();
				return false;
			}
			else
			{
				document.frmServerSettings.action = "interserversettings.jsp";
				document.frmServerSettings.submit();
			}
		}

		function setFocus()
		{
			document.frmServerSettings.txtsubject.focus();
		}
		
	</SCRIPT>
	<!-- END SCRIPT -->

	<BODY onload="setFocus()">
		<FORM name=frmServerSettings method=post onsubmit="funSave(); return false">
			<TABLE cellSpacing=0 cellPadding=0 width="100%" border=0>
				<TBODY>
					<TR>
						<TD colSpan=2><!--for the header Image-->
							<TABLE cellSpacing=0 cellPadding=0 width="100%" border=0>
								<TBODY>
									<TR>
										<TD bgColor=#cecece>
											<TABLE cellSpacing=0 cellPadding=0 width="100%" border=0>
												<TBODY>
													<TR>
														<TD vAlign=top align=left width="52%"><IMG src="images/img.gif" vspace=5 width="437" height="37"></TD>
														<TD vAlign=top align=right width="48%"><IMG src="images/topbar-right.gif" width="229" height="48"></TD>
													</TR>
												</TBODY>
											</TABLE>
										</TD>
									</TR>
									<TR>
										<TD bgColor=#000000><IMG height=1 src="Add to Whitelist_files/1x1.gif" width=1></TD>
									</TR>
									<TR>
										<TD vAlign=bottom align=left bgColor=#007ccd height=37>
											<TABLE cellSpacing=0 cellPadding=0 width="100%" border=0>
												<TBODY>
													<TR>
													<% if (adminid == 1) { %>
														<TD align=left vAlign=bottom width="33%">
															<DIV class=header id=TopBanner_UserPanel>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href = "usermain.jsp">User</a></TD>
																			<TD align=right width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
														<TD width="33%">
															<DIV class=header id=TopBanner_Panel>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href = "domainmain.jsp">Domain</A></TD>
																			<TD width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
														<TD width="34%">
															<DIV class=header_active id=TopBanner_ServerPanel>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href = "servermain.jsp">Server</a></TD>
																			<TD width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
													<% } %>
													</TR>
													<TR>
														<TD colSpan=3>
															<TABLE cellSpacing=0 cellPadding=2 width="100%" border=0>
																<TBODY>
																	<TR class=blanktd>
																		<spam:UserInfo userid="<%= userid %>">
																			<TD width="90%">Logged in as: <%= username %>@<%=domainname%> on Server: <%=request.getServerName()%></TD>
																		</spam:UserInfo>
																		<TD align=right width="10%"><A class=gridrowlink href=javascript:onclick=openHelp('help/ServerSettingsHelp.htm') style="FONT-SIZE: 10px; FONT-WEIGHT: bold">Help</A></TD>
																	</TR>
																	<TR>
																		<TD bgColor=#330099 colSpan=2></TD>
																	</TR>
																</TBODY>
															</TABLE>
														</TD>
													</TR>
												</TBODY>
											</TABLE>
										</TD>
									</TR>
								</TBODY>
							</TABLE>
						</TD>
					</TR>
					<TR>
						<TD class=navbg><!--For the menu--><!--Menu for Server Admin-->
							<server:servermenu showCurrPage="12" />
						</TD>
						<TD vAlign=top><!--Main Section-->
							<TABLE cellSpacing=2 cellPadding=0 width="100%" border=0>
								<TBODY>
									<TR class=2nd_grid_head>
										<TD width="100%">Edit Server Settings
									</TD>
									</TR>
									<TR>
										<TD width="100%">
											<TABLE cellSpacing=0 cellPadding=0 width="100%" border=0 height="430">
												<TBODY>
												<TR class=generalbody>
														<TD vAlign=top>Date Format:</td>                              <td>                                                        <SELECT class=Combox name=cmbdate>                           <option value= "DD/MM/YYYY">DD/MM/YYYY</option>           
														<option value= "MM/DD/YYYY">MM/DD/YYYY</option>
														<option value= "YYYY/MM/DD">YYYY/MM/DD</option>          </select>
														<script language=javascript>
													document.frmServerSettings.cmbdate.value='<%=user.getCmbdate()%>'
														</script>
														</td>
														</TR>

														<TR class=generalbody-gray>
														<TD vAlign=top>Reverse DNS Enabled:</td>                              <td>                                                        <SELECT class=Combox name=cmbRevdns>                           <option value= "y">Yes</option>           
														<option value= "n">No</option>
														</select>
														<script language=javascript>
													document.frmServerSettings.cmbRevdns.value='<%=user.getCmbRevdns()%>'
														</script>
														</td>
														</TR>

													
													<TR class=generalbody>
														<TD vAlign=top width="20%" height="22">Email Subject: </TD>
														<TD height="22"><INPUT class=textInpt id=taSubject style="WIDTH: 400px" maxLength=255 name=txtsubject size="20" value="<%= user.getTxtsubject() %>"></TD>
													</TR>
															<TR class=generalbody-gray>
														<TD vAlign=top width="20%" height="22">Max users in a Domain: </TD>
														<TD height="22"><INPUT class=textInpt id=taSubject style="WIDTH: 400px" maxLength=255 name=txtmaxu size="20" value="<%= user.getTxtmaxu() %>"></TD>
													</TR>
													<TR class=generalbody>
														<TD vAlign=top height="70">Email Body: </TD>
														<TD height="70"><TEXTAREA class=txtArea  id=taBody style="WIDTH: 400px" name=txtbody rows=5 cols="20"><%= user.getTxtbody() %></TEXTAREA></TD>
													</TR>
													<TR class=generalbody-gray>
														<TD vAlign=top height="70">Challenge WebPage Contents: </TD>
														<TD height="70"><TEXTAREA class=txtArea  id=taChallenge style="WIDTH: 400px" name=txtchallenge rows=5 cols="20"><%= user.getTxtchallenge() %></TEXTAREA></TD>
													</TR>
													<TR class=generalbody>
														<TD vAlign=top height="70">Approval WebPage Contents: </TD>
														<TD height="70"><TEXTAREA class=txtArea  id=taApproval style="WIDTH: 400px" name=txtapproval rows=5 cols="20"><%= user.getTxtapproval() %></TEXTAREA></TD>
													</TR>
													<TR class=generalbody-gray>
														<TD vAlign=top height="70">Already in WebPage Contents: </TD>
														<TD height="70"><TEXTAREA class=txtArea  id=taAlready style="WIDTH: 400px" name=txtalready rows=5 cols="20"><%= user.getTxtalready() %></TEXTAREA></TD>
													</TR>
													<TR class=generalbody>
														<TD vAlign=top height="65">Failed WebPage Contents:</TD>
														<TD height="65"><TEXTAREA class=txtArea  id=taFailed style="WIDTH: 400px" name=txtfailed rows=5 cols="20"><%= user.getTxtfailed() %></TEXTAREA></TD>
													</TR>
													<TR>
														<TD height=31></TD>
														<TD height=31><font size=2 color=red><%=message%></font><BR></TD>
													</TR>
													<TR class=generalbody>
														<TD height="32"></TD>
														<TD height="32"><BR><INPUT language=javascript class=btn id=btnSave style="WIDTH: 55px" onclick="funSave(); return false" type=submit value=Save name=btnSave> 
															<INPUT class=btn id=btnClear style="WIDTH: 55px" type=reset value=Reset>
														</TD>
													</TR>
												</TBODY>
											</TABLE>
										</TD>
									</TR>
								</TBODY>
							</TABLE>
						</TD>
					</TR>
				</TBODY>
			</TABLE>
			<TABLE cellSpacing=0 cellPadding=0 width="100%" border=0>
				<TBODY>
					<TR>
						<TD width="100%" bgColor=black colSpan=2 height=1>
					</TD>
					</TR>
					<TR>
						<TD colSpan=2 width="100%">&nbsp;</TD>
					</TR>
					<TR>
						<TD align=middle class=footer colSpan=2 width="100%"><%@ include file= "includes/footer.htm" %></TD>
					</TR>
				</TBODY>
			</TABLE>
		</FORM>
	</BODY>
</HTML>
<%
}
%>