#!/bin/bash
clear
echo "******************************************************************************************************"
echo
echo "                              S P A M J A D O O    I N S T A L L A T I O N                            "
echo
echo "******************************************************************************************************"
echo
echo "CURRENT DATE    : " `date` 		             "         CURRENT VERSION    : Version 3.0     "
echo
echo

# Checking for Orion Path
echo -n "Enter Your Full Orion Web Server Path [ /home/orion ]: "
read orion_path

if [ -z $orion_path ]; then
	orion_path=/home/orion
fi

while [ ! -f $orion_path/orion.jar ]; do
	echo -n "Orion Not Found in Your /home Directory!! Please Enter Your Correct Orion Path : "
        read orion_path
done

# Checking for Java Home Directory
CHECKJAVAPATH=`set | grep JAVA_HOME= | wc -l`
if [ $CHECKJAVAPATH -gt 0 ]; then
	#Getting Actual Java Home Path
	jdk_path=`set | grep JAVA_HOME= | cut -f2 -d=`
else
	echo -n "Enter Your JDK Path  [ /usr/java/j2sdk1.4.2_03 ]: "
	read jdk_path

	if [ -z $jdk_path ]; then
        	jdk_path=/usr/java/j2sdk1.4.2_03
	fi

	while [ ! -f $jdk_path/bin/javac ]; do
        	echo -n "Javac Compiler  Not Found!! Please Enter Your Correct JDK Path : "
        	read jdk_path
	done
fi

# Checking for tools.jar file in Orion Folder
if [ ! -f $orion_path/tools.jar ]; then
	`/bin/cp $jdk_path/lib/tools.jar $orion_path`
fi

PS="`ps -e |grep -w postmaster`"
if [ -z "${PS}" ]; then
	echo "Postgres Database Is Not Running ... Please Start Your Postgres Database Server">>install.log
	
else
	echo "Postgres Database Server is Running....... ">>install.log
fi
	
	prefix="/home/spamjadoo"
	username="spamjadoo"
	groupname="spamjadoo"
	USRADD="/usr/sbin/useradd"
        GROUPADD="/usr/sbin/groupadd" 
        USREXIST="`cat /etc/passwd |grep -w spamjadoo`"
	
	echo "Creating Linux User for SpamJadoo ...... ">>install.log
	if [ -z "${USREXIST}" ]; then
#       	`$USRADD $username -d $prefix -p '$1$77522105$PZAx1g9Joxnw5G2wZ4bJr.'`
                `$GROUPADD $groupname`
		`$USRADD $username -g $groupname -d $prefix -p '$1$77522105$PZAx1g9Joxnw5G2wZ4bJr.'`
 
		`/bin/mkdir -p $prefix/server \
	        $prefix/dashboard`
		`/bin/cp -r dashboard/* $prefix/dashboard`
		`/bin/cp -r server/* $prefix/server`
		`/bin/chown $username.$groupname -R $prefix`
                `/bin/cp dashboard/serverconfig.xml $orion_path`
		`/bin/cp spamjadoo-web-site.xml $orion_path/config`
		echo "ExtractedOrionPath=$orion_path/config" > tempOrion
		echo "CLASSPATH=\$CLASSPATH:/home/spamjadoo/server" >> /root/.bashrc
		echo "export CLASSPATH" >> /root/.bashrc
		actual_svrfile=$orion_path/config

		echo "Updating Server.xml File With New Entry.................."
		sed '/<global-web-app-config path="global-web-application.xml" \/>/s//<global-web-app-config path="global-web-application.xml" \/><web-site path=".\/spamjadoo-web-site.xml" \/>/' $actual_svrfile/server.xml > server.xml

		echo "Updating Application.xml File With New Entry.................."
		sed '/<orion-application>/s//<orion-application><web-module id="spamjadoo" path="\/home\/spamjadoo\/dashboard" \/>/' $actual_svrfile/application.xml > application.xml

		/bin/mv -f server.xml $actual_svrfile
		/bin/mv -f application.xml $actual_svrfile
	else
		echo "Linux User Already Exist......">>install.log
	fi	
